function isWechat() {
	var ua = navigator.userAgent;
	var wechat = ua.match(/(MicroMessenger)\/([\d\.]+)/i);
	if (wechat) {
		return true;
	}
	return false;
}

function wechatShare(sTitle, sDesc, sImg, sLink) {
	if (isWechat()) {
		try {
			var location_href = window.location.href;
			if (location_href.length > 0) {
				location_href = location_href.replace(/\%/g, "%25");
				location_href = location_href.replace(/\+/g, "%20");
				location_href = location_href.replace(/\//g, "%2F");
				location_href = location_href.replace(/\?/g, "%3F");
				location_href = location_href.replace(/\#/g, "%23");
				location_href = location_href.replace(/\&/g, "%26");
				location_href = location_href.replace(/\=/g, "%3D");
			}
			var timestamp_para, nonceStr_para, signature_para = "";
			$.ajax({
				url: "http://la.qiiyue.com/weixin/getAccessTokenJsApi?appid=wx8b8398005f6cfd48&url=" + location_href,
				type: "POST",
				dataType: "jsonp",
				jsonp: "callbackparam",
				jsonpCallback: "success_mg_jsonpCallback",
				success: function(data) {
					if (data.flag != '0') {
						timestamp_para = data.timestamp;
						nonceStr_para = data.nonceStr;
						signature_para = data.signature;
						wx.config({
							debug: false,
							appId: 'wx8b8398005f6cfd48',
							timestamp: timestamp_para,
							nonceStr: nonceStr_para,
							signature: signature_para,
							jsApiList: [
								'checkJsApi',
								'onMenuShareTimeline',
								'onMenuShareAppMessage',
								'onMenuShareQQ',
								'onMenuShareWeibo',
							]
						});
						wx.ready(function() {
							var shareData = {
								title: shareTitle,
								desc: shareDesc,
								link: shareLink,
								imgUrl: shareImg
							};
							var shareData2 = {
								title: sDesc,
								desc: sTitle,
								link: sLink,
								imgUrl: sImg
							};
							wx.onMenuShareAppMessage(shareData);
							wx.onMenuShareTimeline(shareData2);
						});
					} else {
						alert("wx_JsAPI初始化失败")
					}
				}
			});
		} catch (e) {
			alert(e.message)
		}
	}
}
