function checkStep() {
	var msg = "";
	if (step === 0) {
		var content = $("#inpform .content").val();
		if (!content) {
			msg = "申请信息" + GLOBAL.TOAST_MSG.VALIDATE.STR.NULL;
			return msg;
		}
		if (content.length < 10) {
			msg = "申请信息" + GLOBAL.TOAST_MSG.VALIDATE.STR.LEN_MIN + "10个字！";
			return msg;
		}
		if (content.length > 500) {
			msg = "申请信息" + GLOBAL.TOAST_MSG.VALIDATE.STR.LEN_MAX + "500个字！";
			return msg;
		}
	} else {
		var realname = $("#inpform .realname").val();
		var phone = $("#inpform .phone").val();
		var vaild = $("#inpform .vaild").val();

		if (!realname) {
			msg = "真实姓名" + GLOBAL.TOAST_MSG.VALIDATE.STR.NULL;
			return msg;
		}
		if (realname.length > 30) {
			msg = "真实姓名"  + GLOBAL.TOAST_MSG.VALIDATE.STR.LEN_MAX + "30个字！";
			return msg;
		}
		if (!GLOBAL.regex.realName.test(realname)) {
			msg = GLOBAL.TOAST_MSG.VALIDATE.REALNAME.ERROR;
			return msg;
		}

		if (!phone) {
			msg = GLOBAL.TOAST_MSG.VALIDATE.PHONE.NULL;
			return msg;
		}
		if (!GLOBAL.regex.mobile.test(phone)) {
			msg = GLOBAL.TOAST_MSG.VALIDATE.PHONE.NULL;
			return msg;
		}

		if (!vaild) {
			msg = "验证码" + GLOBAL.TOAST_MSG.VALIDATE.STR.NULL;
			return msg;
		}

		if (vaild.length !== 4) {
			msg = GLOBAL.TOAST_MSG.VALIDATE.VAILD.LEN;
			return msg;
		}
		if (!GLOBAL.regex.number.test(vaild)) {
			msg = GLOBAL.TOAST_MSG.VALIDATE.VAILD.TPYE;
			return msg;
		}
	}
	return msg;
}

function checkPhone() {
	if(!smsSend){
		var isPass = true;
		var phone = $("#inpform .phone").val();
		if (!phone) {
			isPass = false;
		}
		if (!GLOBAL.regex.mobile.test(phone)) {
			isPass = false;
		}
		if (isPass) {
			$("#add-ad-intention div.box.box-03 .inps.vaild a").addClass("cur");
			smsEnable = false;
		} else {
			$("#add-ad-intention div.box.box-03 .inps.vaild a").removeClass("cur");
			smsEnable = true;
		}
	}
}

function ready() {
	setTimeout(function(){
		plus.nativeUI.closeWaiting();
		mui.currentWebview.show();
	},50);
}

mui.plusReady(function() {
	loadData();
});