var typeClassName = "active";
var stepMsg = [];
var step = 0;
var stepTiemr = 0;
var needSubmitAuditInfo = true;
var smsWaitTimeMax = 30;
var smsWaitTimeNum = smsWaitTimeMax;
var smsEnable = false;
var smsSend = false;
var smsSendTimer = 0;

function buildHtm(data) {
	$("#add-ad-intention div.box.box-01 .tit").html(data.proName);
	var adtype = '意向：' + data.adName;
	if (data.money) {
		adtype += ' - ￥' + data.money;
	}
	$("#add-ad-intention div.box.box-01 .desc").html(adtype);
	$("#advert_space_id").val(data.tagsId);
	$("#project_id").val(data.projectId);

	var box01h = $("#add-ad-intention div.box.box-01")[0].offsetHeight;
	$("#add-ad-intention div.box.box-02").css("margin-top", box01h + "px");
}

function stepShow(flag) {
	if(needSubmitAuditInfo){
		//要认证
		if (flag == "left") {
			if (step === 1) {
				$("#add-ad-intention div.box").hide();
				$(".mui-bar .mui-pull-right").removeClass("cur");
				$(".mui-bar .mui-pull-right").html("下一步");
				$("#add-ad-intention div.box.box-01,#add-ad-intention div.box.box-02").show();
				step = 0;
				stepFinish();
			} else {
				GLOBAL.webView.close();
			}
		}else{
			if (step === 0) {
				$("#add-ad-intention div.box").hide();
				$(".mui-bar .mui-pull-right").removeClass("cur");
				$(".mui-bar .mui-pull-right").html("提交");
				$("#add-ad-intention div.box.box-03").show();
				step = 1;
				stepFinish();
			} else {
				submitData();
			}
		}
	}else{
		//不要认证
		if (flag == "left") {
			GLOBAL.webView.close();
		}else{
			submitData();
		}
		
	}
}

function nextBtn(n){
	if(step === n){
		stepShow("right");
	}else{
		if (stepTiemr !== 0) {
			clearTimeout(stepTiemr);
		}
		stepTiemr = setTimeout(function() {
			stepShow("right");
		}, 500);
	}
}

function stepClick() {
	if(needSubmitAuditInfo){
		$(".mui-bar .mui-pull-right").html("下一步");
	}
	$(".mui-bar .mui-pull-right").click(function(event) {
		GLOBAL.stopClick(event);
		stepMsg[step] = checkStep();
		if (!stepMsg[step]) {
			if(needSubmitAuditInfo){
				nextBtn(1);
			}else{
				nextBtn(0);
			}
		}else{
			plus.nativeUI.toast(stepMsg[step]);
		}
	});
	
	$(".mui-bar .mui-pull-left").click(function(event) {
		GLOBAL.stopClick(event);
		stepShow("left");
	});
}

function stepFinish(){
	stepMsg[step] = checkStep();
	if (!stepMsg[step]) {
		$(".mui-bar .mui-pull-right").addClass("cur");
	} else {
		$(".mui-bar .mui-pull-right").removeClass("cur");
	}
}

function bindInp() {
	$("#content").bind("input propertychange", function() {
		$("#inpform .content").val($(this).val());
		stepFinish();
	});
	
	$("#realname").bind("input propertychange", function() {
		$("#inpform .realname").val($(this).val());
		stepFinish();
	});

	$("#phone").bind("input propertychange", function() {
		$("#inpform .phone").val($(this).val());
		stepFinish();
		checkPhone();
	});

	$("#vaild").bind("input propertychange", function() {
		$("#inpform .vaild").val($(this).val());
		stepFinish();
	});
	
	$("#add-ad-intention div.box.box-03 .inps.vaild a").click(function(event) {
		GLOBAL.stopClick(event);
		$("#phone").blur();
		sendSMS();
	});

	GLOBAL.open_keyboard("content");
}

function sendSMSWait(){
	if(smsWaitTimeNum === 0){
    	$("#add-ad-intention div.box.box-03 .inps.vaild a").addClass("cur");
    	$("#add-ad-intention div.box.box-03 .inps.vaild a").html("重新获取");
    	clearInterval(smsSendTimer);
    	smsWaitTimeNum = smsWaitTimeMax;
    	smsEnable = false;
    	smsSend = false;
    }else{
		smsWaitTimeNum = smsWaitTimeNum - 1;
    	$('#add-ad-intention div.box.box-03 .inps.vaild a').html(smsWaitTimeNum + "秒");
    }
}
