var subpages = ['project/list.html', 'message/index.html', 'member/index.html'],
	subpageStyle = {
		top: '45px',
		bottom: '50px'
	},
	aniShow = {},
	activeTab = subpages[0],
	header = "",
	as = 'pop-in',
	_openw = {},
	preate = {},
	loadScreenNum = 0,
	loadTimer = 0,
	isCloseSplashscreen = true;

function closeSplashscreen(loadScreen){
	if(isCloseSplashscreen){
		if(loadScreen){
			loadScreenNum++;
		}
		if(loadScreenNum > 2){
			if (loadTimer !== 0) {
				clearTimeout(loadTimer);
			}
			// 渲染50ms
			loadTimer = setTimeout(function() {
				plus.navigator.closeSplashscreen();
				plus.nativeUI.closeWaiting();
				console.log("关闭Waiting...");
				var loginW = GLOBAL.webView.get("member/login");
				if (loginW) {
					loginW.close();
					GLOBAL.timestamp("关闭登录页");
				}
				isCloseSplashscreen = false;
			}, 50);
		}else{
			setTimeout(function() {
				closeSplashscreen();
			}, 10);
		}
	}else{
		plus.nativeUI.closeWaiting();
	}
}

function goLogin() {
	GLOBAL.webView.open({
		url: 'member/login'
	});
}

function goGuide() {
	GLOBAL.webView.open({
		url: 'guide',
		show: {
			aniShow: 'fade-in',
			duration: 300
		}
	});
}

function initTitleClick(targetTab) {
	if (targetTab == subpages[1]) {
		//message
	} else if (targetTab == subpages[2]) {
		//member
	} else {
		//list
		$(".mui-title").unbind('doubletap');
		$(".mui-pull-right").unbind('tap');
		$(".mui-title").bind('doubletap', function() {
			plus.webview.getWebviewById(subpages[0]).evalJS("goTopBar()");
		});
		$(".mui-pull-right").bind('tap', function() {
			GLOBAL.webView.open({
				url: 'project/add'
			});
		});
	}
}

function buildTitle(targetTab) {
	var htm = '';
	if (targetTab == subpages[1]) {
		//message
		htm = '<h1 id="title" class="mui-title">消息</h1>';
	} else if (targetTab == subpages[2]) {
		//member
		htm = '<h1 id="title" class="mui-title">个人中心</h1>';
	} else {
		//list
		htm = '<h1 id="title" class="mui-title">项目列表</h1>';
		htm += '<a id="notice-set" class="mui-icon mui-icon-plusempty mui-pull-right"></a>';
	}
	header.html(htm);
}

function initTagShow() {
	var listBtn = $(".mui-bar-tab a:eq(0)");
	var targetTab = listBtn.attr('tag');
	if (targetTab == activeTab) {
		return;
	}
	$(".mui-bar-tab a").removeClass("mui-active");
	listBtn.addClass("mui-active");

	buildTitle(targetTab);
	initTitleClick(targetTab);

	if (mui.os.ios || aniShow[targetTab]) {
		plus.webview.show(targetTab);
		//plus.nativeUI.showWaiting(GLOBAL.TOAST_MSG.WAITING);
		plus.webview.getWebviewById(targetTab).evalJS("ready()");
	} else {
		//否则，使用fade-in动画，且保存变量
		var temp = {};
		temp[targetTab] = "true";
		mui.extend(aniShow, temp);
		plus.webview.show(targetTab, "fade-in", 300);
		//plus.nativeUI.showWaiting(GLOBAL.TOAST_MSG.WAITING);
		plus.webview.getWebviewById(targetTab).evalJS("ready()");
	}

	plus.webview.hide(activeTab);
	activeTab = targetTab;

	initBubble();
}

function initTagClick() {
	$(".mui-bar-tab a").bind('tap', function() {
		var targetTab = $(this).attr('tag');
		if (targetTab == activeTab) {
			return;
		}

		buildTitle(targetTab);
		initTitleClick(targetTab);

		if (mui.os.ios || aniShow[targetTab]) {
			plus.webview.show(targetTab);
			//plus.nativeUI.showWaiting(GLOBAL.TOAST_MSG.WAITING);
			plus.webview.getWebviewById(targetTab).evalJS("ready()");
		} else {
			//否则，使用fade-in动画，且保存变量
			var temp = {};
			temp[targetTab] = "true";
			mui.extend(aniShow, temp);
			plus.webview.show(targetTab, "fade-in", 300);
			//plus.nativeUI.showWaiting(GLOBAL.TOAST_MSG.WAITING);
			plus.webview.getWebviewById(targetTab).evalJS("ready()");
		}

		plus.webview.hide(activeTab);
		activeTab = targetTab;
	});
	initTitleClick(subpages[0]);
}
var i = 0;

function initSubPages() {
	var self = GLOBAL.webView.get();
	if (self.__view_array__.length > 0) {
		var subView = GLOBAL.webView.get(subpages[0]);
		for (var j = 0; j < subpages.length; j++) {
			var temp = {};
			var subView = GLOBAL.webView.get(subpages[j]);
			if (j > 0) {
				subView.hide();
			} else {
				subView.show();
			}
		}
	} else {
		for (var j = 0; j < subpages.length; j++) {
			var temp = {};
			var subView = plus.webview.create(subpages[j], subpages[j], subpageStyle);
			if (j > 0) {
				subView.hide();
			} else {
				temp[subpages[j]] = "true";
				mui.extend(aniShow, temp);
			}
			self.append(subView);
		}
	}

	header = $("header");

	initTagClick();

	initBubble();
}

var userOnlineState = function() {
	if (GLOBAL.token.isNotNull()) {
		initSubPages();
	} else {
		goLogin();
	}
};

function loginPass() {
	if (GLOBAL.update.getState()) {
		//显示启动导航
		goGuide();
	} else {
		// 判断是否是第一次安装应用
		var install_num = plus.storage.getItem("install_num");
		if (install_num === null) {
			goGuide();
		} else {
			userOnlineState();
		}
	}
}

function clearOpenw(id) {
	_openw[id].showded = true;
	_openw[id] = null;
}

function clicked(id, parameters, a, s) {
	var aniShow = null;
	if (parameters !== null && parameters.is_sel_personal_center == "2") {
		//关闭打开动画
		aniShow = "none";
	}
	if (_openw[id]) {
		return;
	}
	_openw[id] = preate[id];
	if (_openw[id]) {
		_openw[id].showded = true;
		_openw[id].show(a, aniShow, function() {
			_openw[id] = null; //避免快速点击打开多个页面
		});
	} else {
		//打开等待框
		var wa = GLOBAL.SHOW_WAITING();

		_openw[id] = GLOBAL.webView.open({
			url: id,
			extras: parameters
		});

		preate[id] = _openw[id];
		_openw[id].addEventListener('close', function() { //页面关闭后可再次打开
			_openw[id] = null;
			//兼容窗口的关闭
			if (preate[id]) {
				preate[id] = null;
			}
		}, false);
	}
}

function startReceiveMsg() {
	var pushMessage = plus.push.getAllMessage();
	if (pushMessage != null && pushMessage != "") {
		for (var i = 0; i <= pushMessage.length; i++) {
			viewReceiverMsg(pushMessage[i]);
		}
	}
}

function initBubble() {
	var badge_total_number = plus.storage.getItem("badge_total_number_" + GLOBAL.token.get("user")); // 通告消息的总数
	GLOBAL.show_debug("badge_total_number_" + GLOBAL.token.get("user"), badge_total_number);
	if (badge_total_number !== 0 && badge_total_number !== null && badge_total_number != "0") {
		$("#footer a span.message i").show();
	} else {
		$("#footer a span.message i").hide();
	}

	// 消息内部类别气泡
	var msgPage = GLOBAL.webView.get("message/index.html");
	if (msgPage != null) {
		msgPage.evalJS("initMsgBubble()");
	}
}

/**
 * 角标增长
 * @param {String} key  键值
 * @param {Number} step 增长值
 */
function setInc(key, step) {
	key = "badge_" + key;
	var badge_total_number = plus.storage.getItem("badge_total_number_" + GLOBAL.token.get("user"));
	var badge_key_number = plus.storage.getItem(key);
	badge_total_number = parseInt(badge_total_number); // 字符串转数字
	badge_key_number = parseInt(badge_key_number);
	if (!badge_key_number) badge_key_number = 0;
	if (!badge_total_number) badge_total_number = 0;
	badge_key_number = badge_key_number + step;
	badge_total_number = badge_total_number + step;
	plus.storage.setItem(key, badge_key_number.toString()); // 数字转字符串
	plus.storage.setItem("badge_total_number_" + GLOBAL.token.get("user"), badge_total_number.toString());


	// 设置APP图标的角标
	if (!mui.os.android) {
		plus.runtime.setBadgeNumber(badge_total_number);
	}
}

/**
 * 角标减少
 * @param {String} key  键值
 * @param {Number} step 减少值
 */
function setDec(key, step) {
	key = "badge_" + key;
	var badge_total_number = plus.storage.getItem("badge_total_number_" + GLOBAL.token.get("user"));
	var badge_key_number = plus.storage.getItem(key);
	badge_total_number = parseInt(badge_total_number);
	badge_key_number = parseInt(badge_key_number);
	if (!badge_key_number) badge_key_number = 0;
	if (!badge_total_number) badge_total_number = 0;
	badge_key_number = badge_key_number - step;
	badge_total_number = badge_total_number - step;

	if (badge_key_number < 0) badge_key_number = 0;
	if (badge_total_number < 0) badge_total_number = 0;

	plus.storage.setItem(key, badge_key_number.toString());
	plus.storage.setItem("badge_total_number_" + GLOBAL.token.get("user"), badge_total_number.toString());

	// 设置APP图标的角标
	if (!mui.os.android) {
		plus.runtime.setBadgeNumber(badge_total_number);
	}

	initBubble();
}

/**
 * 根据key获取对应的角标值
 * @param {String} key
 */
function getBadgeNumber(key) {
	var key = "badge_" + key;
	var badge_key_number = plus.storage.getItem(key);
	if (badge_key_number !== 0 && badge_key_number !== null) {
		badge_key_number = parseInt(badge_key_number);
	} else {
		badge_key_number = 0
	}
	return badge_key_number;
}

/**
 * 删除key对应的角标值
 * @param {String} key
 */
function removeBadgeNumber(key) {
	var key = "badge_" + key;
	var badge_total_number = plus.storage.getItem("badge_total_number");
	var badge_key_number = plus.storage.getItem(key);
	badge_total_number = parseInt(badge_total_number);
	badge_key_number = parseInt(badge_key_number);
	if (!badge_key_number) badge_key_number = 0;
	if (!badge_total_number) badge_total_number = 0;
	badge_total_number = badge_total_number - badge_key_number;

	if (badge_total_number < 0) badge_total_number = 0;

	plus.storage.removeItem(key);
	plus.storage.setItem("badge_total_number_" + GLOBAL.token.get("user"), badge_total_number.toString());

	// 设置APP图标的角标
	if (!mui.os.android) {
		plus.runtime.setBadgeNumber(badge_total_number);
	}

	initBubble();
}

// 播放提示音
function play_prompt() {
	var p = plus.audio.createPlayer("_www/src/music/01.mp3");
	p.play();
}