var projectId = 0,
	tagsId = 0,
	memberId = 0,
	uploadImgOpts = "",
	previewSwiper = null,
	slideNum = 0,
	type = '',
	win_w = 0,
	swiperHtm = "",
	inpJSON = {
		advert_space_id: 0,
		advert_owner_id: 0,
		content: "",
		pic_urls: [],
		video_urls: []
	};

function goWeb(url) {
	plus.runtime.openURL(url);
}

function submitData() {
	inpJSON.advert_space_id = tagsId;
	inpJSON.advert_owner_id = memberId;
	inpJSON.content = $("#inpform .content").val();
	GLOBAL.AJAX({
		url: GLOBAL.SERVER_URL + "/ad/advertSpaceEffectsSave?",
		data: inpJSON,
		success_callback: function(response) {
			if (response.flag == "1") {
				$("#submitTitRight").hide();
				$("#submit-msg").show();
				var memberIndex = GLOBAL.webView.get("member/project-detail");
				mui.fire(memberIndex, "updateEffects", {
					tagsId: tagsId,
					type: "add"
				});
			}
		}
	});
}

function initSwiper() {
	if (previewSwiper === null) {
		if(mui.os.android){
			previewSwiper = new Swiper("#preview-swiper", {
				pagination: '#preview-swiper-pagination',
				paginationType: 'fraction',
				speed:1
			});
		}else{
			previewSwiper = new Swiper("#preview-swiper", {
				pagination: '#preview-swiper-pagination',
				paginationType: 'fraction'
			});
		}
	} else {
		//		previewSwiper.destroy(true, true);
		//		previewSwiper = null;
		//		previewSwiper = new Swiper("#preview-swiper", {
		//			pagination: '#preview-swiper-pagination',
		//			paginationType: 'fraction'
		//		});
		previewSwiper.onResize();
		previewSwiper.slideTo(0);
		$(".tempImg").remove();
	}
}

function removeArray(text, flag) {
	var re = function(t, arr) {
		if (arr.length > 1) {
			for (var i = 0; i < arr.length; i++) {
				if (arr[i] == t) {
					arr.splice(i, 1);
				}
			}
		} else {
			arr = [];
		}
		return arr;
	}
	if (flag) {
		return re(text, inpJSON.pic_urls);
	} else {
		return re(text, inpJSON.video_urls);
	}
}

function removePreview() {
	if (previewSwiper !== null) {
		var i = previewSwiper.activeIndex;
		var slide = $("#preview .swiper-container .swiper-slide:eq(" + i + ")");
		var num = slide.attr("data-num");
		var img = slide.find("img");
		if (img.length > 0) {
			var src = img.attr("src");
			src = src.substring(src.indexOf(GLOBAL.SERVER_URL) + GLOBAL.SERVER_URL.length);
			GLOBAL.AJAX({
				url: GLOBAL.SERVER_URL + "/ad/deleteAdvertSpaceEffectsPic",
				data: "pic_url=" + src
			});
			inpJSON.pic_urls = removeArray(GLOBAL.SERVER_URL + src, true);
		} else {
			var t = slide.find("iframe")[0].outerHTML;
			inpJSON.video_urls = removeArray(t, false);
		}
		previewSwiper.removeSlide(i);
		$("#inp-" + num).remove();
		var swiperSlideLen = $("#preview .swiper-container .swiper-slide").length;
		if (swiperSlideLen === 0) {
			previewSwiper.destroy(true, true);
			previewSwiper = null;
			swiperHtm = "";
			$("#advert-effects-add a.preview").hide();
			$("#preview").css("opacity", 0).css("z-index", "-1");
		}
		$("#advert-effects-add a.preview span").html(swiperSlideLen);
	} else {
		$("#advert-effects-add a.preview").hide();
		$("#preview").css("opacity", 0).css("z-index", "-1");
		$("#advert-effects-add a.preview span").html(0);
	}
}

function imgPreviewLoaded(obj) {
	var img = obj,
		imgEl = $(img);
	if(!imgEl.hasClass("cac")){
		var w = $(window).width(),
			h = $(window).height(),
			imgw = img.clientWidth,
			imgh = img.clientHeight;
		if (imgw <= w && imgh <= h) {
			imgEl.css("margin-left", -(imgw / 2) + "px");
			imgEl.css("margin-top", -(imgh / 2) + "px");
		} else {
			if (imgw >= w) {
				var imghh = w / (imgw / imgh);
				imgEl.width(w);
				imgEl.height(imghh);
				imgEl.css("left", "0");
				imgEl.css("margin-top", -(imghh / 2) + "px");
			} else {
				var imgww = (imgw / imgh) * h;
				imgEl.height(h);
				imgEl.width(imgww);
				imgEl.css("top", "0");
				imgEl.css("margin-left", -(imgww / 2) + "px");
			}
		}
		imgEl.addClass("cac");
	}
}

function addPreview(type, text) {
	$("#advert-effects-add a.preview").show();
	var sum = slideNum++;
	var htm = '<div data-num="' + sum + '" id="swiper-slide-' + sum + '" class="swiper-slide">';
	var inpName = 'pic_urls';
	if (type === 0) {
		htm += '<img data-num="' + sum + '" src="' + text + '" onload="imgPreviewLoaded(this);" />';
		inpJSON.pic_urls.push(text);
	} else {
		var textEl = $(text);
		var textEl_w = parseInt(textEl.attr("width"));
		var textEl_h = parseInt(textEl.attr("height"));
		var textEl_wh = win_w * (textEl_h / textEl_w);
		var videoSrc = textEl.attr("src");
		textEl.attr("width", "100%");
		textEl.attr("height", textEl_wh + "px");
		htm += '<div class="video" style="margin-top:-' + (textEl_wh / 2) + 'px"><div class="goweb" onclick="goWeb(\'' + videoSrc + '\')"></div>' + textEl[0].outerHTML + '</div>';
		inpName = 'video_urls';
		inpJSON.video_urls.push(textEl[0].outerHTML);
	}
	var inp = '<input type="text" id="inp-' + sum + '" name="' + inpName + '" value="' + text + '" />';
	htm += '</div>';
	if (previewSwiper === null) {
		swiperHtm += htm;
		$("#preview-swiper .swiper-wrapper").html(swiperHtm);
	} else {
		previewSwiper.appendSlide(htm);
	}
	$("#preview .swiper-container .swiper-slide").height($(window).height() - 44);
	$("#inpform form").append(inp);
	var swiperSlideLen = $("#preview .swiper-container .swiper-slide").length;
	$("#advert-effects-add a.preview span").html(swiperSlideLen);
}

function bindClick() {
	win_w = $(window).width();

	$("#advert-effects-add a.upload-link").click(function(event) {
		GLOBAL.stopClick(event);
		$("#add-link").show();
	});
	$("#add-link .box-bg,#add-link .main .btn a.no").click(function(event) {
		GLOBAL.stopClick(event);
		$("#add-link").hide();
	});
	$("#add-link .main .btn a.ok").click(function(event) {
		GLOBAL.stopClick(event);
		var val = $("#add-link .main .inp input").val();
		if (!val) {
			plus.nativeUI.toast("视频代码" + GLOBAL.TOAST_MSG.VALIDATE.STR.NULL);
			return;
		} else if (GLOBAL.regex.text.test(val)) {
			plus.nativeUI.toast(GLOBAL.ADVERT_EFFECTS_PAGE.VIDEO1);
			return;
		} else if (!GLOBAL.regex.iframe.test(val)) {
			plus.nativeUI.toast(GLOBAL.ADVERT_EFFECTS_PAGE.VIDEO2);
			return;
		}
		addPreview(1, val);
		$("#add-link").hide();
		$("#add-link .main .inp input").val("");
	});

	$("#advert-effects-add a.upload-img").click(function(event) {
		GLOBAL.stopClick(event);
		GLOBAL.upload.uploadImg({
			global: GLOBAL,
			id: "advert_effects",
			url: GLOBAL.SERVER_URL + "/ad/upLoadAdvertSpaceEffectsPic_unsw",
			callback: function(url) {
				addPreview(0, GLOBAL.SERVER_URL + url);
			},
			pathKey: "project_advert_effects"
		});
	});

	$("#advert-effects-add a.preview").click(function(event) {
		GLOBAL.stopClick(event);
		$("#preview-swiper .swiper-wrapper").html(swiperHtm);
		$("#preview").css("opacity", 1).css("z-index", "11");
		initSwiper();
	});

	$("#ad-content").bind("input propertychange", function() {
		$("#inpform .content").val($(this).val());
		if ($(this).val()) {
			$("#submitTitRight").addClass("cur");
		} else {
			$("#submitTitRight").removeClass("cur");
		}
	});

	$("#submitTitRight").bind("tap", function() {
		var content = $("#inpform .content").val();
		if (!content) {
			plus.nativeUI.toast("回馈详情" + GLOBAL.TOAST_MSG.VALIDATE.STR.NULL);
			return false;
		}
		submitData();
	});

	$("#preview .mui-bar .mui-pull-left").click(function(event) {
		GLOBAL.stopClick(event);
		$("#preview").css("opacity", 0).css("z-index", "-1");
		swiperHtm = $("#preview-swiper .swiper-wrapper").html();
		$("#preview-swiper .swiper-wrapper").html("");
		previewSwiper.destroy(true, true);
		previewSwiper = null;
	});

	$("#preview .mui-bar .mui-pull-right").click(function(event) {
		GLOBAL.stopClick(event);
		removePreview();
	});

}

function ready() {
	bindClick();
	plus.nativeUI.closeWaiting();
	mui.currentWebview.show();
}
mui.init({
	swipeBack: false
});
mui.plusReady(function() {
	if (mui.os.ios) {
		plus.webview.currentWebview().setStyle({
			'popGesture': 'none'
		});
	}
	var curView = GLOBAL.webView.get();
	projectId = curView.projectId;
	tagsId = curView.tagsId;
	type = curView.type;
	memberId = curView.memberId;

	$("#inpform .memberId").val(memberId);
	$("#inpform .advert_space_id").val(tagsId);
	ready();
});