function bindClick() {
	$(".mui-bar .mui-pull-right").bind("tap", function() {
		var question = $("#question").val();
		if (!question) {
			plus.nativeUI.toast("反馈内容" + GLOBAL.TOAST_MSG.VALIDATE.STR.NULL);
			return;
		}
		if (question.length > 1500) {
			plus.nativeUI.toast("反馈内容" + GLOBAL.TOAST_MSG.VALIDATE.STR.LEN_MAX + "1500个字！");
			return;
		}
		GLOBAL.AJAX({
			url: GLOBAL.SERVER_URL + "/ad/leaveMessageSave",
			data: {
				leave_message_content: question
			},
			success_callback: function(response) {
				if (response.flag == "1") {
					plus.nativeUI.toast(GLOBAL.TOAST_MSG.FEEDBACK);
					GLOBAL.webView.close();
				}
			}
		});
	});
	
	$("#question").bind("input propertychange", function() {
		if ($(this).val()) {
			$(".mui-bar .mui-pull-right").addClass("cur");
		} else {
			$(".mui-bar .mui-pull-right").removeClass("cur");
		}
	});
}

function ready() {
	bindClick();
	plus.nativeUI.closeWaiting();
	mui.currentWebview.show();
}

mui.plusReady(function() {
	ready();
});