var auths = {};
var oauthArea = $("#other-login");
var sort_ids = ["weixin", "sinaweibo", "qq"];

function webViewShow() {
	plus.nativeUI.closeWaiting();
	plus.navigator.closeSplashscreen();
	GLOBAL.webView.get().show();
}

function initTap() {
	$(".oauth-btn").bind('tap', function() {
		if (!GLOBAL.getNetwork()) {
			return;
		}
		var auth = auths[$(this).attr("authId")];
		var waiting = GLOBAL.SHOW_WAITING();
		auth.login(function() {
			auth.getUserInfo(function() {
				GLOBAL.show_debug("第三方登录用户信息", JSON.stringify(auth));
				var openid = auth.userInfo.id || auth.authResult.openid;
				var nickname = auth.userInfo.nickname || auth.userInfo.name;
				var headimgurl = auth.userInfo.avatar_hd || auth.userInfo.figureurl_qq_2 || auth.userInfo.headimgurl;
				var uuid = plus.device.uuid;
				var data = {
					"serviceId": auth.id,
					"openid": openid,
					"nickname": nickname,
					"headimgurl": headimgurl,
					"device_num": uuid
				};
				GLOBAL.AJAX({
					url: GLOBAL.SERVER_URL + "/webThirdparty/thirdParyBinding",
					data: data,
					success_callback: function(response) {
						if (response.flag == "1") {
							GLOBAL.token.set({
								token: response.token,
								user_id: response.member_id
							});
							plus.webview.getLaunchWebview().evalJS("bindUser()"); // 调用绑定通告方法
							// 判断用户资料是否完整,不完整,则转至个人信息补全
							plus.storage.setItem("headimgurl", headimgurl);
							GLOBAL.show_debug("登录成功", "昵称：" + nickname + " 会员id：" + response.member_id);
							GLOBAL.timestamp("执行打开列表");
							plus.webview.getLaunchWebview().evalJS("initSubPages()");
							GLOBAL.webView.close();
						}
						//						else if (response.flag == "2") {
						//							waiting.close();
						//							plus.nativeUI.toast("此帐号已禁用！");
						//						} 
						else {
							waiting.close();
						}
						plus.oauth.getServices(function(services) {
							for (var i in services) {
								var service = services[i];
								service.logout(function(e) {}, function(e) {});
							}
						});
					},
					error_callback: function() {
						waiting.close();
					}
				});
			}, function(e) {
				waiting.close();
				plus.nativeUI.toast(GLOBAL.TOAST_MSG.USER_THIRD.INFO_ERROR + e.message);
			});
		}, function(e) {
			waiting.close();
			plus.nativeUI.toast(GLOBAL.TOAST_MSG.USER_THIRD.THIRD1 + e.message);
		});
	});
}

function initOauth() {
	plus.oauth.getServices(function(services) {
		for (var j = 0; j < sort_ids.length; j++) {
			var id = sort_ids[j];
			for (var i in services) {
				var service = services[i];
				if (service.id == id) {
					auths[service.id] = service;
					var btn = $("<div></div>");
					btn.addClass("oauth-btn").addClass(service.id);
					btn.attr("authId", service.id);
					oauthArea.append(btn);
				}
			}
		}
		initTap();
		webViewShow();
	}, function(e) {
		oauthArea.hide();
		plus.nativeUI.toast(GLOBAL.TOAST_MSG.USER_THIRD.THIRD2 + e.message);
	});
}

mui.plusReady(function() {
	plus.webview.getLaunchWebview().evalJS("initTagShow();");
	initOauth();
	
	$("#clause a").click(function(){
		GLOBAL.webView.open({
			url: 'clause'
		});
	});
});