var proId = 0,
	tagId = 0,
	projectName = "",
	oneself = false,
	haveFollow = false,
	projectOwnerId = 0,
	shareH = "",
	shareT = "",
	shareC = "",
	shareI = "",
	shareImg = "",
	suffix = "";
shareImgName = "";

function buildDetailHtm(img, state, guanzhu, type, projectName, showNum, chat, timer, shortName, shareImg) {
	$("#detail div.box-01 img").attr("src", img);
	$("#detail div.box-01 span.state em").html(state);
	$("#detail div.box-01 .img-desc span.guanzhu").html(guanzhu);
	$("#detail div.box-01 .img-desc span.type").html(type);
	$("#detail div.box-02 h3").html(projectName);
	$("#detail div.box-03 div.l span.show-num").html(showNum);
	$("#detail div.box-03 div.l span.chat").html(chat);
	$("#detail div.box-03 div.l span.timer").html(timer + "天");

	shareH = GLOBAL.SERVER_URL + "/ad/projectShareDetail?project_id=" + proId;
	shareT = shortName;
	shareC = projectName;
	shareI = shareImg;

	$("#detail div.box-03 div.r a.go-desc").unbind("tap");
	$("#detail div.box-03 div.r a.go-desc").bind("tap", function() {
		GLOBAL.webView.open({
			url: "../project/detail-content",
			extras: {
				projectId: proId
			}
		});
	});
	
	var guanzhuEl = $("#detail div.box-01 .img-desc span.guanzhu");
	guanzhuEl.click(function(event) {
		GLOBAL.stopClick(event);
		plus.nativeUI.toast(GLOBAL.TOAST_MSG.PROJECT.NO_GUANZHU);
	});
	
	var w = $(window).width();
	var imgh = w * (280 / 375);
	$("#detail div.box-01 img").css("height", imgh).attr("cac", "1");
	$("#detail div.box-01").css("height", imgh);
}

function buildDetail(data) {
	var img = data.project_pic;
	var state = data.status_name;
	var guanzhu = data.follow_num;
	var type = data.project_type_name;
	projectName = data.project_name;
	var showNum = data.click_num;
	var chat = data.message_num;
	var timer = data.countdown_days;
	var shortName = data.project_short_name;
	var shareImg = data.project_share_img;

	projectOwnerId = data.project_owner_id;
	if (!img) {
		img = "../../temp-img/project/not_find_img.png";
	} else {
		if (img.indexOf("/") === 0) {
			img = GLOBAL.SERVER_URL + img;
		}
	}

	buildDetailHtm(img, state, guanzhu, type, projectName, showNum, chat, timer, shortName, shareImg);
}

function isAdvertEffectsAdd(tags) {
	for (var i = 0; i < tags.length; i++) {
		var users = tags[i].intentions;
		for (var j = 0; j < users.length; j++) {
			//达成状态 
			var intentionStatus = users[j].intention_status;
			//效果状态 空就是没填
			var effectsStatus = users[j].effects_status;
			if (intentionStatus == "1" || effectsStatus) {
				return true;
			}
		}
	}
	return false;
}

function buildTagsTitAndDesc(id, state, typeId, type, name, money, desc, btnHtm) {
	var htm = '';
	if (state == '0' || state === 0) {
		htm += '<div tagid="' + id + '" tag-type-id="' + typeId + '" class="box">';
	} else {
		htm += '<div tagid="' + id + '" tag-type-id="' + typeId + '" class="box active">';
	}
	htm += '	<div class="box-tit">';
	htm += '		<span class="type-icon ' + type + '"></span>';
	htm += '		<h4>';
	htm += '			<span>' + name + '</span>';
	if (parseInt(money) !== 0) {
		htm += '		-';
		htm += '		<span><font>&#165; </font>' + money + '</span>';
	}
	htm += '		</h4>';
	if (btnHtm) {
		htm += btnHtm;
	}
	htm += '	</div>';
	htm += '	<div class="box-desc" style="display:none">';
	var descHtm = $("<div>"+desc+"</div>");
	descHtm.find("img").each(function(i,el){
		var s = $(el).attr("src");
		$(el).attr("data-lazyload",s);
		$(el).attr("src","../../temp-img/project/not_find_img.png");
		$(el).attr("width","100%");
		$(el).removeAttr("height");
	});
	htm += '		<div class="contents">' + descHtm[0].outerHTML + '</div>';
	htm += '	</div>';
	return htm;
}

function buildTagsUser(users) {
	var htm = '';
	var headPic = users.head_pic;
	if (headPic.indexOf("/") === 0) {
		headPic = GLOBAL.SERVER_URL + headPic;
	}
	htm += '		<img src="' + headPic + '" alt="" class="user" /> ';
	return htm;
}

function buildTagsChat(id, chat, chatFlag, toId) {
	var htm = '';
	htm += '		<div class="r">';
	if (chatFlag) {
		htm += '			<a class="chat" onclick="goChat(' + id + ',' + toId + ')">' + chat + '</a>';
	} else {
		htm += '			<a class="chat" onclick="goChatList(' + id + ')">' + chat + '</a>';
	}
	htm += '		</div>';
	return htm;
}

function buildTagsHtmNoEffects(tags) {
	var htm = '';
	for (var i = 0; i < tags.length; i++) {
		var id = tags[i].advert_space_id;
		var type = tags[i].advert_product_type_css;
		var name = tags[i].advert_space_name;
		var money = tags[i].advert_space_price;
		var desc = tags[i].advert_space_content;
		var users = tags[i].intentions;
		var chat = tags[i].message_num;
		var state = tags[i].advert_space_status;
		var typeId = tags[i].advert_product_type_id;
		htm += buildTagsTitAndDesc(id, state, typeId, type, name, money, desc, "");
		if (users.length > 0) {
			htm += '	<div class="box-users" style="margin-top: 10px;">';
			htm += '		<div class="l">';
			for (var j = 0; j < users.length; j++) {
				htm += buildTagsUser(users[j]);
			}
			htm += '		</div>';
			htm += buildTagsChat(id, chat, false, 0);
			htm += '	</div>';
		}
		htm += '</div>';
	}
	return htm;
}

function buildTagsHtmHasEffects(tags) {
	var htm = '';
	for (var i = 0; i < tags.length; i++) {
		var users = tags[i].intentions;
		for (var j = 0; j < users.length; j++) {
			var id = tags[i].advert_space_id;
			var type = tags[i].advert_product_type_css;
			var name = tags[i].advert_space_name;
			var money = tags[i].advert_space_price;
			var desc = tags[i].advert_space_content;
			var chat = users[j].message_num;
			var state = tags[i].advert_space_status;
			var typeId = tags[i].advert_product_type_id;

			var headPic = users[j].head_pic;
			if (headPic.indexOf("/") === 0) {
				headPic = GLOBAL.SERVER_URL + headPic;
			}
			//达成状态 
			var intentionStatus = users[j].intention_status;
			//效果状态 空就是没填
			var effectsStatus = users[j].effects_status;

			var memberId = users[j].member_id;

			if (intentionStatus == '1' && !effectsStatus) {
				var btnHtm = '<a class="go-intention btn-0" onclick="goAdvertEffectsAdd(' + id + ',' + effectsStatus + ',' + intentionStatus + ',' + users[j].member_id + ')">效果回馈</a>';
				htm += buildTagsTitAndDesc(id, state, typeId, type, name, money, desc, btnHtm);
				htm += '	<div class="box-users" style="margin-top: 10px;">';
				htm += '		<div class="l">';
				htm += buildTagsUser(users[j]);
				htm += '		</div>';
				htm += buildTagsChat(id, chat, true, memberId);
				htm += '	</div>';
				htm += '</div>';
			}
			if (intentionStatus == '1' && effectsStatus) {
				var btnHtm = '<a class="go-intention btn-0" onclick="goAdvertEffectsAdd(' + id + ',' + effectsStatus + ',' + intentionStatus + ',' + users[j].member_id + ')">回馈详情</a>';
				htm += buildTagsTitAndDesc(id, state, typeId, type, name, money, desc, btnHtm);
				htm += '	<div class="box-users" style="margin-top: 10px;">';
				htm += '		<div class="l">';
				htm += buildTagsUser(users[j]);
				htm += '		</div>';
				htm += buildTagsChat(id, chat, true, memberId);
				htm += '	</div>';
				htm += '</div>';
			}
		}
	}
	return htm;
}

function buildTagsHtm(tags) {
	var htm = '';
	var isAdvertEffects = isAdvertEffectsAdd(tags);
	if (isAdvertEffects) {
		htm = buildTagsHtmHasEffects(tags);
	} else {
		htm = buildTagsHtmNoEffects(tags);
	}
	$("#advert").html(htm);
}

function buildTags(data) {
	var tags = data;
	buildTagsHtm(tags);
}

function goAdvertEffectsAdd(tagsId, effectsStatus, intentionStatus, memberId) {
	var ajaxUrl = "advert-effects-add";
	if (intentionStatus == "0") {
		plus.nativeUI.toast("意向还在审核中。。。请耐心等待~");
		return;
	}

	if (intentionStatus == "2") {
		plus.nativeUI.toast("意向未达成。。。");
		return;
	}
	if (effectsStatus || effectsStatus === 0) {
		ajaxUrl = "advert-effects-detail";
	}
	GLOBAL.webView.open({
		url: ajaxUrl,
		extras: {
			projectId: proId,
			tagsId: tagsId,
			type: 'add',
			memberId: memberId
		}
	});
}

function goAdvertEffectsDetail(id, tagId) {
	GLOBAL.webView.open({
		url: "advert-effects-detail",
		extras: {
			projectId: id,
			tagsId: tagsId,
			memberId: 0
		}
	});
}

function goChatList(adId) {
	GLOBAL.webView.open({
		url: "../chat/chat-list",
		extras: {
			adId: adId,
			toId: projectOwnerId
		}
	});
}

function goChat(adId, toId) {
	GLOBAL.webView.open({
		url: "../chat/chat",
		extras: {
			adId: adId,
			toId: toId,
			messageType: 1
		}
	});
}

function cacTagsDesc() {
	$("#advert .box .box-desc .contents").each(function() {
		var p = $(this);
		var p_h = parseInt(p[0].offsetHeight);
		if (p_h > 75) {
			var desc = p.parent();
			desc.addClass("more-desc")
			desc.click(function(event) {
				GLOBAL.stopClick(event);
				var tit = $(this).parent().find(".box-tit h4 span").html();
				var content = p.html();
				$("#advert-desc-box .mui-bar-nav.mui-bar .mui-title").html(tit);
				$("#advert-desc-box .mui-content").html(content);
				$("#advert-desc-box").addClass("show");
			});
		}
	});
}

function bindClick() {
	$("#advert-desc-box .mui-bar-nav.mui-bar .mui-pull-left").click(function(event) {
		GLOBAL.stopClick(event);
		$("#advert-desc-box .mui-content").scrollTop(0);
		$("#advert-desc-box").removeClass("show");
		$("#advert-desc-box .mui-bar-nav.mui-bar .mui-title").html("");
		$("#advert-desc-box .mui-content").html("");
	});

	$("#share-btn").click(function(event) {
		GLOBAL.stopClick(event);
		GLOBAL.SHOW_WAITING();
		var shareFun = function() {
			GLOBAL.AppShare.share({
				g: GLOBAL,
				h: shareH,
				t: shareT,
				c: shareC,
				i: shareI
			});
			plus.nativeUI.closeWaiting();
		}
		plus.io.resolveLocalFileSystemURL(shareImgName, function(entry) {
			shareFun();
			GLOBAL.show_debug("not download success:", shareImgName);
		}, function(e) {
			var dtask = plus.downloader.createDownload(GLOBAL.SERVER_URL + shareImg, {
				filename: shareImgName
			}, function(d, status) {
				if (status == 200) {
					shareFun();
					GLOBAL.show_debug("Download success: ", d.filename);
				} else {
					shareFun();
					GLOBAL.show_debug("Download failed: ", status);
				}
			});
			dtask.start();
		});

	});
	
	$("#advert .box .box-tit h4,#advert .box .box-tit span.type-icon").click(function(event) {
		GLOBAL.stopClick(event);
		var box = $(this).parent().parent();
		var tagid = box.attr("tagid");
		if(parseInt(tagid) != -2){
			var tit = box.find(".box-tit h4 span").html();
			var content = box.find(".box-desc").html();
			GLOBAL.webView.open({
				url: "../project/detail-ad-content",
				extras: {
					tit: tit,
					contents:content
				}
			});
		}
//		$("#advert-desc-box .mui-bar-nav.mui-bar .mui-title").html(tit);
//		$("#advert-desc-box .mui-content").html(content);
//		$("#advert-desc-box").addClass("show");
	});

	// 更新效果状态
	window.addEventListener("updateEffects", function(e) {
		var tagsId = e.detail.tagsId;
		var obj = $("#advert .box[tagid='" + tagsId + "']");
		var effectsEL = obj.find("a.go-intention");
		var effectsELClick = effectsEL.attr("onclick");
		effectsELClick = effectsELClick.replaceAll(effectsELClick, "undefined", "0");
		effectsEL.attr("onclick", effectsELClick);
		effectsEL.html("回馈详情");
	});

	var old_back = mui.back;
	mui.back = function() {
		if ($("#advert-desc-box").is(":hidden")) {
			old_back();
		} else {
			$("#advert-desc-box .mui-content").scrollTop(0);
			$("#advert-desc-box").removeClass("show");
			$("#advert-desc-box .mui-bar-nav.mui-bar .mui-title").html("");
			$("#advert-desc-box .mui-content").html("");
		}
	}
}