function checkStep(flag) {
	var msg = "";
	if (flag == "step0") {
		var proName = $("#inpform .pro-name").val();
		var proDesc = $("#inpform .pro-desc").val();
		if (!proName) {
			msg = "项目名称" + GLOBAL.TOAST_MSG.VALIDATE.STR.NULL;
			return msg;
		}
		if (proName.length > 200) {
			msg = "项目名称" + GLOBAL.TOAST_MSG.VALIDATE.STR.LEN_MAX + "200个字！";
			return msg;
		}

		if (!proDesc) {
			msg = "项目描述" + GLOBAL.TOAST_MSG.VALIDATE.STR.NULL;
			return msg;
		}
		if (proDesc.length < 10) {
			msg = "项目描述" + GLOBAL.TOAST_MSG.VALIDATE.STR.LEN_MIN + "10个字！";
			return msg;
		}
		if (proDesc.length > 500) {
			msg = "项目描述" + GLOBAL.TOAST_MSG.VALIDATE.STR.LEN_MAX + "500个字！";
			return msg;
		}
	} else if (flag == "step2") {
		var realname = $("#inpform .realname").val();
		var phone = $("#inpform .phone").val();
		var vaild = $("#inpform .vaild").val();

		if (!realname) {
			msg = "真实姓名" + GLOBAL.TOAST_MSG.VALIDATE.STR.NULL;
			return msg;
		}
		if (realname.length > 30) {
			msg = "真实姓名"  + GLOBAL.TOAST_MSG.VALIDATE.STR.LEN_MAX + "30个字！";
			return msg;
		}
		if (!GLOBAL.regex.realName.test(realname)) {
			msg = GLOBAL.TOAST_MSG.VALIDATE.REALNAME.ERROR;
			return msg;
		}

		if (!phone) {
			msg = GLOBAL.TOAST_MSG.VALIDATE.PHONE.NULL;
			return msg;
		}
		if (!GLOBAL.regex.mobile.test(phone)) {
			msg = GLOBAL.TOAST_MSG.VALIDATE.PHONE.ERROR;
			return msg;
		}

		if (!vaild) {
			msg = "验证码" + GLOBAL.TOAST_MSG.VALIDATE.STR.NULL;
			return msg;
		}

		if (vaild.length !== 4) {
			msg = GLOBAL.TOAST_MSG.VALIDATE.VAILD.LEN;
			return msg;
		}
		if (!GLOBAL.regex.number.test(vaild)) {
			msg = GLOBAL.TOAST_MSG.VALIDATE.VAILD.TPYE;
			return msg;
		}

	} else {
		var activeNum = $("#inpform .ad-type-inp").length;
		if (activeNum <= 0) {
			msg = GLOBAL.TOAST_MSG.VALIDATE.ADVERT_NULL;
			return msg;
		}
	}
	return msg;
}

function checkPhone() {
	if(!smsSend){
		var isPass = true;
		var phone = $("#inpform .phone").val();
		if (!phone) {
			isPass = false;
		}
		if (!GLOBAL.regex.mobile.test(phone)) {
			isPass = false;
		}
		if (isPass) {
			$("#add-project div.box.box-02 .inps.vaild a").addClass("cur");
			smsEnable = false;
		} else {
			$("#add-project div.box.box-02 .inps.vaild a").removeClass("cur");
			smsEnable = true;
		}
	}
}

function ready() {
	setTimeout(function(){
		plus.nativeUI.closeWaiting();
		mui.currentWebview.show();
	},50);
}

mui.plusReady(function() {
	loadData();
});