var typeClassName = "active";
var stepMsg = [];
var stepTiemr = 0;
var step = 0;
var needSubmitAuditInfo = true;
var smsWaitTimeMax = 30;
var smsWaitTimeNum = smsWaitTimeMax;
var smsEnable = false;
var smsSend = false;
var smsSendTimer = 0;

function buildTags(data) {
	var htm = '';
	for (var i = 0; i < data.length; i++) {
		if (i == (data.length - 2)) {
			htm += '<li tc="' + data[i].advert_product_type_css + '" data-type-id="' + data[i].advert_product_type_id + '"><a>' + data[i].advert_product_type_name + '</a></li>';
			htm += '<li>&nbsp;</li>';
			var cur = '';
			if (data[i + 1].advert_product_type_css == "qita") {
				cur = 'class="active"';
				var inp = '<input type="text" class="ad-type-inp ad-type-inp-' + data[i + 1].advert_product_type_id + '" name="product_type" value="' + data[i + 1].advert_product_type_id + '" />';
				$("#inpform form").append(inp);
			}
			htm += '<li ' + cur + ' tc="' + data[i + 1].advert_product_type_css + '" data-type-id="' + data[i + 1].advert_product_type_id + '"><a>' + data[i + 1].advert_product_type_name + '</a></li>';
			break;
		} else {
			htm += '<li tc="' + data[i].advert_product_type_css + '" data-type-id="' + data[i].advert_product_type_id + '"><a>' + data[i].advert_product_type_name + '</a></li>';
		}
	}
	$("#add-project div.box.box-01 .ad-type ul").append(htm);
}

function stepShow(flag) {
	if (needSubmitAuditInfo) {
		//要认证
		if (flag == "left") {
			if (step === 1) {
				$("#add-project div.box").hide();
				$(".mui-bar .mui-pull-right").removeClass("cur");
				$(".mui-bar .mui-pull-right").html("下一步");
				$("#add-project div.box.box-00").show();
				step = 0;
				stepFinish();
			} else if (step === 2) {
				$("#add-project div.box").hide();
				$(".mui-bar .mui-pull-right").removeClass("cur");
				$(".mui-bar .mui-pull-right").html("下一步");
				$("#add-project div.box.box-01").show();
				step = 1;
				stepFinish();
			} else {
				GLOBAL.webView.close();
			}
		} else {
			if (step === 0) {
				$("#add-project div.box").hide();
				$(".mui-bar .mui-pull-right").removeClass("cur");
				$(".mui-bar .mui-pull-right").html("下一步");
				$("#add-project div.box.box-01").show();
				step = 1;
				stepFinish();
			} else if (step === 1) {
				$("#add-project div.box").hide();
				$(".mui-bar .mui-pull-right").removeClass("cur");
				$(".mui-bar .mui-pull-right").html("提交");
				$("#add-project div.box.box-02").show();
				step = 2;
				stepFinish();
			} else {
				submitData();
			}
		}
	} else {
		//不要认证
		if (flag == "left") {
			if (step === 1) {
				$("#add-project div.box").hide();
				$(".mui-bar .mui-pull-right").removeClass("cur");
				$(".mui-bar .mui-pull-right").html("下一步");
				$("#add-project div.box.box-00").show();
				step = 0;
				stepFinish();
			} else {
				GLOBAL.webView.close();
			}
		} else {
			if (step === 0) {
				$("#add-project div.box").hide();
				$(".mui-bar .mui-pull-right").removeClass("cur");
				$(".mui-bar .mui-pull-right").html("提交");
				$("#add-project div.box.box-01").show();
				step = 1;
				stepFinish();
			} else {
				submitData();
			}
		}
	}
}

function nextBtn(n) {
	if (step !== n) {
		stepShow("right");
	} else {
		if (stepTiemr !== 0) {
			clearTimeout(stepTiemr);
		}
		stepTiemr = setTimeout(function() {
			stepShow("right");
		}, 500);
	}
}

function stepClick() {
	$(".mui-bar .mui-pull-right").click(function(event) {
		GLOBAL.stopClick(event);
		var flag = "step0";
		if (needSubmitAuditInfo && step === 2) {
			flag = "step2";
		} else if (step === 1) {
			flag = "step1";
		}
		stepMsg[step] = checkStep(flag);
		if (!stepMsg[step]) {
			if (needSubmitAuditInfo) {
				nextBtn(3);
			} else {
				nextBtn(0);
			}
		} else {
			plus.nativeUI.toast(stepMsg[step]);
		}
	});

	$(".mui-bar .mui-pull-left").click(function(event) {
		GLOBAL.stopClick(event);
		stepShow("left");
	});
}

function stepFinish() {
	var flag = "step0";
	if (needSubmitAuditInfo && step === 2) {
		flag = "step2";
	} else if (step === 1) {
		flag = "step1";
	}
	stepMsg[step] = checkStep(flag);
	if (!stepMsg[step]) {
		$(".mui-bar .mui-pull-right").addClass("cur");
	} else {
		$(".mui-bar .mui-pull-right").removeClass("cur");
	}
}

function bindInp() {
	$("#pro-name").bind("input propertychange", function() {
		$("#inpform .pro-name").val($(this).val());
		stepFinish();
	});

	var descPlaceholder = "输入项目相关的简单描述\n例如：\n片名：万万没想到\n导演：叫兽\n演员：白客、孔连顺\n简介：看王大锤的皇帝生活\n平台：优酷\n上映时间：2016-02-26";
	$('#pro-desc').val(descPlaceholder).addClass("placeholder");

	$('#pro-desc').focus(function() {
		if ($(this).val() == descPlaceholder) {
			$(this).val('').removeClass("placeholder");
		}
	});

	$('#pro-desc').blur(function() {
		if (!$(this).val()) {
			$(this).val(descPlaceholder).addClass("placeholder");
		}
	});
	$("#pro-desc").bind("input propertychange", function() {
		var val = $(this).val();
		if (val != descPlaceholder) {
			$("#inpform .pro-desc").val($(this).val());
			stepFinish();
		}
	});

	$("#add-project div.box.box-01 .ad-type ul li a").bind("tap", function() {
		var li = $(this).parent();
		if (li.attr("tc") != "qita") {
			var id = li.attr("data-type-id");
			if (li.hasClass(typeClassName)) {
				$("#inpform form .ad-type-inp-" + id).remove();
				li.removeClass(typeClassName);
			} else {
				var inp = '<input type="text" class="ad-type-inp ad-type-inp-' + id + '" name="product_type" value="' + id + '" />';
				$("#inpform form").append(inp);
				li.addClass(typeClassName);
			}
			stepFinish();
		}
	});

	$("#realname").bind("input propertychange", function() {
		$("#inpform .realname").val($(this).val());
		stepFinish();
	});

	$("#phone").bind("input propertychange", function() {
		$("#inpform .phone").val($(this).val());
		stepFinish();
		checkPhone();
	});

	$("#vaild").bind("input propertychange", function() {
		$("#inpform .vaild").val($(this).val());
		stepFinish();
	});

	$("#add-project div.box.box-02 .inps.vaild a").click(function(event) {
		GLOBAL.stopClick(event);
		$("#phone").blur();
		sendSMS();
	});

	if (mui.os.ios) {
		GLOBAL.open_keyboard("pro-name");
	}
}

function sendSMSWait() {
	if (smsWaitTimeNum === 0) {
		$("#add-project div.box.box-02 .inps.vaild a").addClass("cur");
		$("#add-project div.box.box-02 .inps.vaild a").html("重新获取");
		clearInterval(smsSendTimer);
		smsWaitTimeNum = smsWaitTimeMax;
		smsEnable = false;
		smsSend = false;
	} else {
		smsWaitTimeNum = smsWaitTimeNum - 1;
		$('#add-project div.box.box-02 .inps.vaild a').html(smsWaitTimeNum + "秒");
	}
}