var proId = 0,
	tagId = 0,
	projectName = "",
	oneself = false,
	haveFollow = false,
	projectOwnerId = 0,
	shareH = "",
	shareT = "",
	shareC = "",
	shareI = "",
	shareImg = "",
	suffix = "";
shareImgName = "";

function buildDetailHtm(img, state, guanzhu, type, projectName, showNum, chat, timer, shortName, shareImg) {
	var proImg = new Image();
	proImg.src = img;
	proImg.onload = function() {
		$("#detail div.box-01 img").attr("src", img);
	}
	proImg.onerror = function() {
		$("#detail div.box-01 img").attr("src", "../../temp-img/project/not_find_img.png");
	}
	$("#detail div.box-01 span.state em").html(state);
	$("#detail div.box-01 .img-desc span.guanzhu").html(guanzhu);
	$("#detail div.box-01 .img-desc span.type").html(type);
	$("#detail div.box-02 h3").html(projectName);
	$("#detail div.box-03 div.l span.show-num").html(showNum);
	$("#detail div.box-03 div.l span.chat").html(chat);
	$("#detail div.box-03 div.l span.timer").html(timer + "天");

	shareH = GLOBAL.SERVER_URL + "/ad/projectShareDetail?project_id=" + proId;
	shareT = shortName;
	shareC = projectName;
	shareI = shareImg;

	$("#detail div.box-03 div.r a.go-desc").unbind("tap");
	$("#detail div.box-03 div.r a.go-desc").bind("tap", function() {
		GLOBAL.webView.open({
			url: "detail-content",
			extras: {
				projectId: proId
			}
		});
	});

	var guanzhuEl = $("#detail div.box-01 .img-desc span.guanzhu");
	if (haveFollow && !oneself) {
		guanzhuEl.addClass("yiguanzhu");
	}
	guanzhuEl.click(function(event) {
		GLOBAL.stopClick(event);
		guanzhuClick(this);
	});

	var w = $(window).width();
	var imgh = w * (280 / 375);
	$("#detail div.box-01 img").css("height", imgh).attr("cac", "1");
	$("#detail div.box-01").css("height", imgh);
}

function buildDetail(data) {
	var img = data.project_pic;
	var state = data.status_name;
	var guanzhu = data.follow_num;
	var type = data.project_type_name;
	projectName = data.project_name;
	var showNum = data.click_num;
	var chat = data.message_num;
	var timer = data.countdown_days;
	var shortName = data.project_short_name;
	var shareImg = data.project_share_img;
	oneself = data.oneself;
	haveFollow = data.have_follow;
	projectOwnerId = data.project_owner_id;
	if (!img) {
		img = "../../temp-img/project/not_find_img.png";
	} else {
		if (img.indexOf("/") === 0) {
			img = GLOBAL.SERVER_URL + img;
		}
	}

	buildDetailHtm(img, state, guanzhu, type, projectName, showNum, chat, timer, shortName, shareImg);
}

function buildTagsHtm(tags) {
	var htm = '';
	for (var i = 0; i < tags.length; i++) {
		var id = tags[i].advert_space_id;
		var type = tags[i].advert_product_type_css;
		var name = tags[i].advert_space_name;
		var money = tags[i].advert_space_price;
		var desc = tags[i].advert_space_content;
		var users = tags[i].intentions;
		var chat = tags[i].message_num;
		var state = tags[i].advert_space_status;
		var typeId = tags[i].advert_product_type_id;
		var haveIntention = tags[i].have_intention;
		var intentionAuditStatus = tags[i].intention_audit_status;
		if (state == "0") {
			htm += '<div tagid="' + id + '" tag-type-id="' + typeId + '" class="box active">';
		} else {
			htm += '<div tagid="' + id + '" tag-type-id="' + typeId + '" class="box">';
		}
		if (id != '-2') {
			htm += '	<div class="box-tit">';
			htm += '		<span class="type-icon ' + type + '"></span>';
			htm += '		<h4>';
			htm += '			<span>' + name + '</span>';
			if (parseInt(money) !== 0) {
				htm += '		-';
				htm += '		<span><font>&#165; </font>' + money + '</span>';
			}
			htm += '		</h4>';
			if (state == '0') {
				//有意向
				htm += '		<a class="go-intention btn-0" onclick="goIntention(' + id + ',\'' + name + '\',' + money + ',\'' + projectName + '\',' + haveIntention + ')">有意向</a>';
			} else {
				var aHtm = "已成功";
				var className = " btn-1";
				if (state == "2") {
					aHtm = "未成功";
					className = " btn-2";
				} else if (state == "3") {
					aHtm = "已招满";
					className = " btn-2";
				}
				htm += '		<a class="go-intention ' + className + '">' + aHtm + '</a>';
			}
			htm += '	</div>';
			htm += '	<div class="box-desc" style = "display:none">';
			var descHtm = $("<div>"+desc+"</div>");
			descHtm.find("img").each(function(i,el){
				var s = $(el).attr("src");
				$(el).attr("data-lazyload",s);
				$(el).attr("src","../../temp-img/project/not_find_img.png");
				$(el).attr("width","100%");
				$(el).removeAttr("height");
			});
			htm += '		<div class="contents">' + descHtm[0].outerHTML + '</div>';
			htm += '	</div>';
			if (users.length > 0) {
				htm += '	<div class="box-users" style="margin-top: 10px;">';
				htm += '		<div class="l">';
				for (var j = 0; j < users.length; j++) {
					var headPic = users[j].head_pic;
					if (headPic.indexOf("/") === 0) {
						headPic = GLOBAL.SERVER_URL + headPic;
					}
					htm += '		<img src="' + headPic + '" alt="" class="user" / > ';
				}
				htm += '		</div>';
				htm += '		<div class="r">';
				htm += '			<a class="chat" onclick="goChat(' + id + ',' + haveIntention + ',' + intentionAuditStatus + ')">' + chat + '</a>';
				htm += '		</div>';
				htm += '	</div>';
			}
		} else {
			htm += '	<div class="box-tit">';
			htm += '		<span class="type-icon ' + type + '"></span>';
			htm += '		<h4>';
			htm += '			<span>' + name + '</span>';
			htm += '		</h4>';
			if (state == '0') {
				htm += '		<a class="go-intention btn-0" onclick="goIntention(' + id + ',\'' + name + '\',' + money + ',\'' + projectName + '\')">有意向</a>';
			} else {
				htm += '		<a class="go-intention btn-1">已成功</a>';
			}
			htm += '	</div>';
		}
		htm += '</div>';
	}
	$("#advert").html(htm);

}

function buildTags(data, projectStatus) {
	var tags = data;
	var status = '0';
	if (parseInt(projectStatus) === 3) {
		status = '1';
	}
	tags.push({
		advert_space_id: '-2',
		advert_product_type_css: 'qita',
		advert_space_name: '有别的意向？',
		advert_space_price: '0',
		advert_space_content: '',
		intentions: [],
		message_num: '0',
		advert_space_status: status,
		advert_product_type_id: -2
	});
	buildTagsHtm(tags);
}

function goAdvertEffects(id, tagId) {
	GLOBAL.webView.open({
		url: "advert-effects-detail",
		extras: {
			projectId: id,
			tagsId: tagsId
		}
	});
}

function goChat(adId, haveIntention, intentionAuditStatus) {
	if (!oneself) {
		if (!haveIntention) {
			plus.nativeUI.toast(GLOBAL.TOAST_MSG.PROJECT.NO_ADVERT1);
			return;
		}
		if (!intentionAuditStatus) {
			plus.nativeUI.toast(GLOBAL.TOAST_MSG.PROJECT.NO_ADVERT2);
			return;
		}
	}
	var webViewUrl = "../chat/chat";
	if (oneself) {
		webViewUrl = "../chat/chat-list";
	}
	GLOBAL.webView.open({
		url: webViewUrl,
		extras: {
			adId: adId,
			toId: projectOwnerId
		}
	});
}

function cacTagsDesc() {
	$("#advert .box .box-desc .contents").each(function() {
		var p = $(this);
		var p_h = parseInt(p[0].offsetHeight);
		if (p_h > 75 || p.find("img").length > 0) {
			var desc = p.parent();
			desc.addClass("more-desc")
			desc.click(function(event) {
				GLOBAL.stopClick(event);
				var tit = $(this).parent().find(".box-tit h4 span").html();
				var content = p.html();
				$("#advert-desc-box .mui-bar-nav.mui-bar .mui-title").html(tit);
				$("#advert-desc-box .mui-content").html(content);
				$("#advert-desc-box").addClass("show");
			});
		}
	});
}

function bindClick() {
	$("#advert-desc-box .mui-bar-nav.mui-bar .mui-pull-left").click(function(event) {
		GLOBAL.stopClick(event);
		$("#advert-desc-box .mui-content").scrollTop(0);
		$("#advert-desc-box").removeClass("show");
		$("#advert-desc-box .mui-bar-nav.mui-bar .mui-title").html("");
		$("#advert-desc-box .mui-content").html("");
	});

	$("#share-btn").click(function(event) {
		GLOBAL.stopClick(event);
		GLOBAL.SHOW_WAITING();
		var shareFun = function() {
			GLOBAL.AppShare.share({
				g: GLOBAL,
				h: shareH,
				t: shareT,
				c: shareC,
				i: shareI
			});
			plus.nativeUI.closeWaiting();
		}
		plus.io.resolveLocalFileSystemURL(shareImgName, function(entry) {
			shareFun();
			GLOBAL.show_debug("not download success:", shareImgName);
		}, function(e) {
			var dtaskUrl = GLOBAL.SERVER_URL + shareImg;
			var dtask = plus.downloader.createDownload(dtaskUrl, {
				method: "GET",
				filename: shareImgName
			}, function(d, status) {
				if (status == 200) {
					shareFun();
					GLOBAL.show_debug("Download success: ", d.filename);
				} else {
					shareFun();
					GLOBAL.show_debug("Download failed: ", status);
				}
			});
			dtask.start();
		});
	});

	$("#advert .box .box-tit h4,#advert .box .box-tit span.type-icon").click(function(event) {
		GLOBAL.stopClick(event);
		var box = $(this).parent().parent();
		var tagid = box.attr("tagid");
		if (parseInt(tagid) != -2) {
			var tit = box.find(".box-tit h4 span").html();
			var content = box.find(".box-desc").html();
			GLOBAL.webView.open({
				url: "detail-ad-content",
				extras: {
					tit: tit,
					contents: content
				}
			});
		}
		//		$("#advert-desc-box .mui-bar-nav.mui-bar .mui-title").html(tit);
		//		$("#advert-desc-box .mui-content").html(content);
		//		$("#advert-desc-box").addClass("show");
	});

	// 更新意向状态
	window.addEventListener("updateIntention", function(e) {
		var tagsId = e.detail.tagsId;
		var obj = $("#advert .box[tagid='" + tagsId + "']");
		var intentionEL = obj.find("a.go-intention");
		var intentionELClick = intentionEL.attr("onclick");
		intentionELClick = intentionELClick.replaceAll(intentionELClick, "false", "true");
		intentionEL.attr("onclick", intentionELClick);
		var chatEL = obj.find("a.chat");
		chatEL.attr("onclick", "goChat(" + tagsId + ",true,false)");
		//obj.find(".box-users .l").append("<img src='" + GLOBAL.token.get("headpic") + "' class='user'>");
	});

	var old_back = mui.back;
	mui.back = function() {
		if ($("#advert-desc-box").is(":hidden")) {
			old_back();
		} else {
			$("#advert-desc-box .mui-content").scrollTop(0);
			$("#advert-desc-box").removeClass("show");
			$("#advert-desc-box .mui-bar-nav.mui-bar .mui-title").html("");
			$("#advert-desc-box .mui-content").html("");
		}
	}
}