function loadData(page, flag) {
	var ajaxIsWaiting = false;
	if(!isShowSplashscreen){
		ajaxIsWaiting = true;
	}
	GLOBAL.AJAX({
		isWaiting:ajaxIsWaiting,
		url: GLOBAL.SERVER_URL + "/ad/projectList",
		data: {
			curPage: page
		},
		success_callback: function(response) {
			if (response.flag == "1") {
				//判断是否还有下一页
				if (parseInt(response.page) > parseInt(response.total)) {
					page = -1;
				}
				//第一页下拉刷新关闭写上面
				if (page === 1) {
					goTopBar();
					closePullRefresh(page, flag);
				}
				if ((page === -1 && parseInt(response.page) <= 1) || page !== -1) {
					//加载data拼接html
					var htm = "";
					var projects = response.projects;
					for (var i = 0; i < projects.length; i++) {
						htm += buildDataHtm(projects[i]);
					}
					if (parseInt(response.page) === 1) {
						if (mui.os.android) {
							$("body").css("height", "auto").css("overflow", "auto");
						}
						$("#list ul").html(htm);
					} else {
						$("#list ul").append(htm);
					}
					curPage = parseInt(response.page);
					//重置懒加载
					lazyImgs();
					//计算项目图片比例0.75
					cacProjectImg();
					//不是第一页上拉加载关闭写上面
					if (page !== 1) {
						closePullRefresh(page, flag);
					}
				} else {
					closePullRefresh(page, flag);
				}
			} else {
				closePullRefresh(page, flag);
			}
		},
		error_callback: function() {
			closePullRefresh(page, flag);
		}
	});
}

function guanzhuClick(id, haveFollow, oneself, event, obj) {
	GLOBAL.stopClick(event);
	if (!oneself) {
		GLOBAL.AJAX({
			url: GLOBAL.SERVER_URL + "/ad/saveFollow",
			data: {
				project_id: id
			},
			success_callback: function(response) {
				if (response.flag == "1") {
					var op = response.op;
					var num = parseInt($(obj).html());
					if (op == "add") {
						$(obj).html(num + 1);
						$(obj).addClass("yiguanzhu");
						plus.nativeUI.toast(GLOBAL.TOAST_MSG.PROJECT.GUANZHU_SUCCESS);
					} else {
						$(obj).html(num - 1);
						$(obj).removeClass("yiguanzhu");
						plus.nativeUI.toast(GLOBAL.TOAST_MSG.PROJECT.GUANZHU_CANCEL);
					}

				}
			}
		});
	} else {
		plus.nativeUI.toast(GLOBAL.TOAST_MSG.PROJECT.NO_GUANZHU);
	}
}