mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			callback: function() {
				loadData(1, "down");
			}
		},
		up: {
			contentrefresh: '正在加载...',
			callback: function() {
				loadData(curPage + 1, "up");
			}
		}
	}
});

function ready() {
	plus.nativeUI.closeWaiting();
}

function noWifiShow(obj){
	$(obj).height($(window).height());
	$(obj).show();
	$(window).resize(function(){
		$(obj).height($(window).height());
	});
}

mui.plusReady(function() {
	if (GLOBAL.getNetwork2()) {
		if(mui.os.ios){
			mui('#pullrefresh').pullRefresh().pullupLoading();
		}else{
			loadData(curPage + 1, "up");
		}
		bindClick();
	} else {
		noWifiShow($("#no-wifi"));
		plus.navigator.closeSplashscreen();
		plus.nativeUI.closeWaiting();
	
		GLOBAL.listenerNetwork(function(){
			if(mui.os.ios){
				mui('#pullrefresh').pullRefresh().pullupLoading();
			}else{
				loadData(curPage + 1, "up");
			}
			$("#no-wifi").hide();
			bindClick();
		},function(){
			noWifiShow($("#no-wifi"));
		});
	}
});
