
/*
var payChanel;
function getPayChanel() {
    //设备信息加载完成，先获取微信的支付通道
    plus.payment.getChannels(function(channels) {
        for (var i in channels) {
            if (channels[i].id == "wxpay") {
                payChanel = channels[i];
            }
        }
    }, function(e) {
        alert("获取支付通道失败：" + e.message);
    });
}
*/
/**
 * 支付接口
 * @param {Object} order_id   订单id
 * @param {Object} instalment_id   拆分支付id（为null，或默认取一条未付款的数据）
 * @param {Object} paymentMethod_code  支付方式（14为微信）
 * @param {Object} orderType_code  支付模块（1为通告）
 * @param {Object} success_callback  支付成功后的回调方法
 */
function payNotice(order_id,instalment_id,paymentMethod_code,orderType_code,success_callback){
	plus.payment.getChannels( function(s){
		//s [{"id":"alipay","description":"支付宝","serviceReady":true},{"id":"wxpay","description":"微信","serviceReady":true}]
		//console.log("----->>>>>"+JSON.stringify(s));
		dataStr = "orderType_code="+orderType_code+"&paymentMethod_code="+paymentMethod_code + "&orderId="+order_id;
		if(instalment_id!=null && !instalment_id==''){
			dataStr += "&payment_instalment_id="+instalment_id;
		}
		var currentPayId = 0;
		for (i=0;i<s.length;i++) {
			if(s[i].id=="wxpay"){
				currentPayId = i;
			}
		}

		global_ajax(global_url + "/payment/hbuilder_pay", dataStr, function(data){
			if(data.flag=='1'){
				//console.log("=========>>>>>>>>>>"+JSON.stringify(data));
				var statement = data.result;
				if ( !s[currentPayId].serviceReady ) {
					s[currentPayId].installService();
				}

				plus.payment.request(s[currentPayId], statement, function(){
					//console.log( "支付操作成功！" );
					success_callback();
				}, function(e){
					//console.log( "支付失败："+e.message +"---"+JSON.stringify(e));
				});
			}
		}, "json");
	}, function(e){
		//console.log( "获取支付通道列表失败："+e.message + "-----" + JSON.stringify(e) );
	});
}
	

	
	
	
	
