/*
 * <script src="../data/js/szond/show_alert_box.js"></script>
 */
/*
function showAlert() {
	var showAlerts = new showAlertBox({
		tit: "常用取消原因",
		tags: [{
			val: 1,
			txt: "生病了"
		}, {
			val: 2,
			txt: "不愿意去了"
		}, {
			val: 3,
			txt: "住院下不了床"
		}],
		contentTextarea: "其他原因或者建议",
		success_callback: function(v) {
			console.log(v);
		},
		cancel_callback: function() {
			console.log("cancel");
		},
		hideEventBack: function(self) {
			//处理物理返回键
			mui.back = function() {
				self.hide();
			};
		}
	});
}
 */
var showAlertBoxDom = '<div id="show-alert-box">\
			<div class="box-bg" data-id="mask"></div>\
			<div class="box-main">\
				<a class="close mui-icon mui-icon-closeempty"></a>\
				<div class="tit" data-id="tit"></div>\
				<div class="tags" data-id="tags"></div>\
				<div class="content"><textarea data-id="contentTextarea"></textarea></div>\
				<div class="btns">\
					<a class="ok" data-id="btn-ok">确定</a>\
					<a class="no" data-id="btn-cancel">取消</a>\
				</div>\
			</div>\
		</div>';
var showAlertBox = function(o) {
	this.init(o);
}
showAlertBox.prototype = {
	ui: null,
	data: null,
	success_callback: null,
	cancel_callback: null,
	hideEventBack: null,
	hide_callback: null,
	check_val_fc: null,
	tapstart: "click",
	contentTextareaVal: "",
	init: function(o) {
		var self = this,
			jqEle = $(showAlertBoxDom);
		self.tapstart = o.tapstart || "click";
		self.ui = {
			box: jqEle,
			tit: jqEle.find(".tit"),
			tags: jqEle.find(".tags"),
			contentTextarea: jqEle.find(".content textarea"),
			btnOk: jqEle.find("a.ok"),
			btnNo: jqEle.find("a.no"),
			mark: jqEle.find(".box-bg"),
			close: jqEle.find("a.close")
		};
		self.data = {
			tit: o.tit || "",
			tags: o.tags || [],
			contentTextarea: o.contentTextarea || "",
		};
		self.success_callback = o.success_callback || null;
		self.cancel_callback = o.cancel_callback || null;
		self.hideEventBack = o.hideEventBack || null;
		self.check_val_fc = o.check_val_fc || null;
		self.hide_callback = o.hide_callback || null;
		self.create();
	},
	buildTit: function() {
		var self = this;
		if (self.data.tit) {
			self.ui.tit.html(self.data.tit);
		} else {
			self.ui.tit.remove();
			self.ui.tit = null;
			self.data.tit = "";
		}
	},
	buildTags: function() {
		var self = this;
		if (self.data.tags.length && self.ui.tags) {
			var htm = "";
			for (var i = 0; i < self.data.tags.length; i++) {
				htm += "<span v='" + self.data.tags[i].val + "'>" + self.data.tags[i].txt + "</span>";
			}
			self.ui.tags.html(htm);
			var allSpan = self.ui.tags.find("span");
			allSpan.unbind(self.tapstart).bind(self.tapstart, function() {
				if ($(this).hasClass("cur")) {
					$(this).removeClass("cur");
					if (self.ui.contentTextarea) {
						self.ui.contentTextarea.val("").removeAttr("readonly");
					}
				} else {
					allSpan.removeClass("cur");
					$(this).addClass("cur");
					if (self.ui.contentTextarea) {
						self.ui.contentTextarea.val($(this).html()).attr("readonly", "readonly");
					}
				}
			});;

		} else {
			self.ui.tags.remove();
			self.ui.tags = null;
			self.data.tags = [];
		}
	},
	buildContent: function() {
		var self = this;
		if (self.data.contentTextarea) {
			self.ui.contentTextarea.attr("placeholder", self.data.contentTextarea);
		} else {
			self.ui.contentTextarea.remove();
			self.ui.contentTextarea = null;
			self.data.contentTextarea = "";
		}

	},
	hideEvent: function() {
		var self = this;
		if (self.hideEventBack) {
			self.hideEventBack(self);
		}
	},
	hide: function() {
		var self = this;
		if (self.hide_callback) {
			self.hide_callback();
		}
		for (var name in self) {
			self[name] = null;
			delete self[name];
		};
		$("#show-alert-box").remove();
	},
	getSelected: function() {
		var self = this;
		var curVal = "";
		if (self.ui.tags) {
			var curSpan = self.ui.tags.find("span.cur");
			if (curSpan.length) {
				curVal = curSpan.attr("v");
			} else {
				if (self.ui.contentTextarea) {
					curVal = self.ui.contentTextarea.val();
				}
			}
		} else if (self.ui.contentTextarea) {
			curVal = self.ui.contentTextarea.val();
		}
		return curVal;
	},
	bindEvent: function() {
		var self = this;
		self.ui.btnOk.unbind(self.tapstart).bind(self.tapstart, function() {
			var v = self.getSelected();
			var msg = "";
			if (self.check_val_fc) {
				//验证方法
				msg = self.check_val_fc(v);
			}
			if (msg.length == 0) {
				if (self.success_callback) {
					//调用回调
					self.success_callback(v);
				}
				//隐藏
				self.hide();
			} else {
				//不符合验证规则提示
				plus.nativeUI.toast(msg);
			}
		});
		self.ui.btnNo.unbind(self.tapstart).bind(self.tapstart, function() {
			if (self.cancel_callback) {
				self.cancel_callback();
			}
			self.hide();
		});
		self.ui.mark.unbind(self.tapstart).bind(self.tapstart, function() {
			self.hide();
		});
		self.ui.close.unbind(self.tapstart).bind(self.tapstart, function() {
			self.hide();
		});
	},
	addBody: function() {
		var self = this;
		if ($("#show-alert-box").length) {
			self.hide();
		}
		$("body").append(self.ui.box);
	},
	create: function() {
		var self = this;
		self.buildTit();
		self.buildTags();
		self.buildContent();
		self.bindEvent();
		self.hideEvent();
		self.addBody();
	}
}