function stopClick(event) {
	var e = window.event || event;
	if (e.stopPropagation) {
		e.stopPropagation();
	} else {
		e.cancelBubble = true;
	}
}

function isIos() {
	var ua = navigator.userAgent;
	var iphone = ua.match(/(iPhone\sOS)\s([\d_]+)/);
	if (iphone) {
		return true;
	}
	return false;
}

function isIpad() {
	var ua = navigator.userAgent;
	var ipad = ua.match(/(iPad).*OS\s([\d_]+)/);
	if (ipad) {
		return true;
	}
	return false;
}

function downloads() {
	if (isIos()) {
		window.location.href = "#IOS";
	} else if (isIpad()) {
		window.location.href = "#ipad";
	} else {
		window.location.href = "#android";
	}
}
var runTimer = 0;
function downloadsRun(){
	if(runTimer !== 0){
		clearTimeout(runTimer);
	}
	$("#downloads").addClass("run");
	setTimeout(function(){
		$("#downloads").removeClass("run");
	},1000);
}

function cacTagsDesc() {
	$("#advert .box .box-desc p").each(function() {
		var p = $(this);
		var p_h = parseInt(p[0].offsetHeight);
		if (p_h > 75) {
			var desc = p.parent();
			desc.addClass("more-desc")
			desc.click(function(event) {
				stopClick(event);
				var tit = $(this).parent().find(".box-tit h4 span").html();
				var content = $(this).find("p").html();
				$("#advert-desc-box .mui-bar-nav.mui-bar .mui-title").html(tit);
				$("#advert-desc-box .mui-content").html(content);
				$("#advert-desc-box").addClass("show");
			});
		}
	});
}

$(function() {
	var w = $(window).width();
	var imgh = w * (280 / 375);
	$("#detail div.box-01 img").css("height", imgh).attr("cac", "1");
	$("#detail div.box-01").css("height", imgh);	
	
	cacTagsDesc();

	$("#advert-desc-box .mui-bar-nav.mui-bar .mui-pull-left").click(function(event) {
		stopClick(event);
		$("#advert-desc-box .mui-content").scrollTop(0);
		$("#advert-desc-box").removeClass("show");
		$("#advert-desc-box .mui-bar-nav.mui-bar .mui-title").html("");
		$("#advert-desc-box .mui-content").html("");
	});

	$("#detail div.box-03 div.r a.go-desc").unbind("click");
	$("#detail div.box-03 div.r a.go-desc").click(function(event) {
		stopClick(event);
		downloadsRun();
	});
	
	$("#downloads .btns a").unbind("click");
	$("#downloads .btns a").click(function(event) {
		stopClick(event);
		downloads();
	});
});