function loadData() {
	GLOBAL.AJAX({
		isErrorClose: true,
		url: GLOBAL.SERVER_URL + "/ad/memberAuditStatus",
		success_callback: function(response) {
			if (response.flag == "1") {
				needSubmitAuditInfo = response.needSubmitAuditInfo;
				var curView = GLOBAL.webView.get();
				buildHtm({
					projectId: curView.projectId,
					tagsId: curView.tagsId,
					proName: curView.projectName,
					adName: curView.name,
					money: curView.money
				});
				stepClick();
				bindInp();
				ready();
			} else {
				ready();
			}
		}
	});
}

function submitData() {
	var dataJson = $("#inpform form").serializeArray();
	GLOBAL.AJAX({
		url: GLOBAL.SERVER_URL + "/ad/intentionSave",
		data: dataJson,
		success_callback: function(response) {
			if (response.flag == "1") {
				$("#add-ad-intention div.box").hide();
				$(".mui-bar .mui-pull-right").hide();
				$("#add-ad-intention div.box.box-04").show();
				if(needSubmitAuditInfo){
					step = 2;
				}else{
					step = 1;
				}
				cleanSendNum($("#inpform .phone").val());
				var memberIndex = GLOBAL.webView.get("project/detail");
				mui.fire(memberIndex, "updateIntention", {
					tagsId: $("#advert_space_id").val()
				});
			}
		}
	});
}

function saveSendNum(phone) {
	GLOBAL.AJAX({
		url: GLOBAL.SERVER_URL + "/msg/saveNum",
		data: "device_no=" + phone + "mreg"
	});
}

function cleanSendNum(phone) {
	GLOBAL.AJAX({
		url: GLOBAL.SERVER_URL + "/msg/cleanNum",
		data: "device_no=" + phone + "mreg"
	});
}

function sendSMS() {
	var phone = $("#inpform .phone").val();
	verifySendNum(phone, function() {
		GLOBAL.AJAX({
			url: GLOBAL.SERVER_URL + "/ad/regSMS",
			data: {
				phone_valid_num: phone
			},
			success_callback: function(response) {
				if (response.flag == "1") {
					$("#add-ad-intention div.box.box-03 .inps.vaild a").removeClass("cur");
					smsEnable = true;
					smsSend = true;
					smsSendTimer = setInterval(sendSMSWait, 1000);
					plus.nativeUI.toast(GLOBAL.TOAST_MSG.SMS.SUCCESS);
					saveSendNum(phone);
				}
			}
		});
	});
}

function verifySendNum(phone, callback) {
	if (!smsEnable) {
		GLOBAL.AJAX({
			url: GLOBAL.SERVER_URL + "/msg/findNum",
			data: "device_no=" + phone + "mreg",
			success_callback: function(response) {
				if (response.flag == "1") {
					callback(phone);
				} else {
					plus.nativeUI.toast(GLOBAL.TOAST_MSG.SMS.LIMIT);
					$("#add-ad-intention div.box.box-03 .inps.vaild a").removeClass("cur");
					smsEnable = true;
				}
			}
		});
	} else {
		var phoneVal = $("#inpform .phone").val();
		if (!phoneVal) {
			plus.nativeUI.toast(GLOBAL.TOAST_MSG.VALIDATE.PHONE.NULL);
		}
		if (!GLOBAL.regex.mobile.test(phoneVal)) {
			plus.nativeUI.toast(GLOBAL.TOAST_MSG.VALIDATE.PHONE.ERROR);
		}
	}
}