var adId = 0,
	toId = 0,
	messageType = 0,
	curPage = 0,
	isReady = true,
	loadTimer = 0,
	chatTimeShowMax = 1000 * 60 * 30;

function closePullRefresh(page, flag) {
	if (window.plus) {
		if (isReady) {
			if (loadTimer !== 0) {
				clearTimeout(loadTimer);
			}
			// 渲染50ms
			loadTimer = setTimeout(function() {
				isReady = false;
				ready();
			}, 50);
		}
	}

	if (flag == "up") {
		if (page === -1) {
			if (!isReady) {
				plus.nativeUI.toast(GLOBAL.TOAST_MSG.NODATA);
			}
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			mui('#pullrefresh').pullRefresh().refresh(true);
		}
	} else {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
		mui('#pullrefresh').pullRefresh().refresh(true);
	}
}

function addChat(content) {
	var htm = buildDataHtm({
		content: content,
		oneself: true,
		head_pic: GLOBAL.token.get("headpic")
	});
	$("#chat-content ul").append(htm);
}

function addToChat(content, headPic, is2) {
	var is1 = adId + "-" + toId;
	if (is1 == is2) {
		var htm = buildDataHtm({
			content: content,
			oneself: false,
			head_pic: headPic
		});
		$("#chat-content ul").append(htm);
		toBottom();
	}
}

function buildDataHtm(data) {
	var content = data.content;
	var oneself = data.oneself;
	var headPic = data.head_pic;

	var className = 'chat';
	if (oneself) {
		className += ' my';
	}
	if (headPic.indexOf("/") === 0) {
		headPic = GLOBAL.SERVER_URL + headPic;
	}

	var htm = '';
	htm += '<li class="mui-table-view-cell ' + className + '">';
	htm += '	<div class="userFace">';
	htm += '		<img src="' + headPic + '">';
	htm += '	</div>';
	htm += '	<div class="userSay">';
	htm += '		<div class="inlineText">';
	htm += content;
	htm += '		</div>';
	htm += '	</div>';
	htm += '</li>';
	return htm;
}

function buildDataTime(t) {
	var htm = '';
	htm += '<li class="mui-table-view-cell chat timer">';
	htm += '	<span>' + t + '</span>';
	htm += '</li>';
	return htm;
}

function isTiemr(data, i) {
	var htm = '';
	if ((i + 1) !== data.length) {
		var time1 = data[i].create_time;
		time1 = new Date(time1.FormatTime()).getTime();
		var time2 = data[i + 1].create_time;
		time2 = new Date(time2.FormatTime()).getTime();
		if ((time1 - time2) > chatTimeShowMax) {
			htm = buildDataTime((new Date(time1)).Format("yyyy年MM月dd日 hh:mm:ss"));
		}
	} else {
		var time3 = data[i].create_time;
		time3 = new Date(time3.FormatTime()).getTime();
		htm = buildDataTime((new Date(time3)).Format("yyyy年MM月dd日 hh:mm:ss"));
	}
	return htm;
}

function toBottom() {
	if (mui.os.android) {
		var y = $("#pullrefresh")[0].offsetHeight - $(window).height() + 100;
		mui('#pullrefresh').pullRefresh().scrollTo(0, y, 1);
	} else {
		mui('#pullrefresh').pullRefresh().scrollToBottom(1);
	}
}