var toId = 0,
	adId = 0,
	messageType = 0,
	contentWebview = null;

function closeWin() {
	plus.storage.setItem("openChatPageIds", "a-a");
	GLOBAL.webView.close();
}

function ready() {
	GLOBAL.AJAX({
		url: GLOBAL.SERVER_URL + "/ad/messageSessionListTitle",
		data: {
			advert_space_id: adId
		},
		success_callback: function(response) {
			if (response.flag == "1") {
				var tit = response.project_short_name + " - " + response.advert_space_name;
				if (parseFloat(response.advert_space_price) !== 0) {
					tit += " - " + response.advert_space_price;
				}
				$(".mui-bar .mui-title").html(tit);

				//$(".mui-bar .mui-title").bind("tap", function() {
				//	plus.webview.getLaunchWebview().evalJS("viewReceiverMsg();");
				//});

				$("#inp-content").bind("input propertychange", function() {
					if ($(this).val()) {
						$("#send-btn").addClass("cur");
					} else {
						$("#send-btn").removeClass("cur");
					}
				});

				$("#send-btn").bind("tap", function() {
					var check = $(this).hasClass("cur");
					if (check) {
						$("#inp-content").focus();
						setTimeout(function() {
							$("#inp-content").focus();
						}, 150);
						var content = $("#inp-content").val();
						plus.nativeUI.showWaiting(GLOBAL.CHAT_PAGE.SEND_WAITING);
						GLOBAL.AJAX({
							url: GLOBAL.SERVER_URL + "/ad/messageSend",
							data: {
								advert_space_id: adId,
								to_id: toId,
								content: content
							},
							success_callback: function(response) {
								if (response.flag == "1") {
									if (contentWebview === null) {
										contentWebview = plus.webview.currentWebview().children()[0];
									}
									contentWebview.evalJS("addChat('" + content + "')");
									$("#inp-content").val("").focus();
									$("#send-btn").removeClass("cur");
									setTimeout(function() {
										$("#inp-content").focus();
									}, 150);
									setTimeout(function() {
										contentWebview.evalJS("mui('#pullrefresh').pullRefresh().refresh()");
										contentWebview.evalJS("toBottom()");
									}, 50);
									plus.nativeUI.closeWaiting();
								}
							}
						});
					}
				});

				var curView = GLOBAL.webView.get();
				adId = curView.adId;
				toId = curView.toId;
				curView.show();
				var sub = GLOBAL.webView.open({
					url: 'chat-content',
					styles: {
						top: '45px',
						bottom: '45px'
					},
					extras: {
						toId: toId,
						adId: adId,
						messageType: messageType
					}
				});
				curView.append(sub);
			}
		}
	});
}

mui.plusReady(function() {
	var curView = GLOBAL.webView.get();
	adId = curView.adId;
	toId = curView.toId;
	messageType = curView.messageType;
	ready();
});