var memberId = 0;

function bindClick() {
	$(".mui-content>.mui-table-view.user").bind("tap", function() {
		GLOBAL.webView.open({
			url: "info",
			extras: {
				memberId: memberId
			}
		});
	});

	$(".mui-content>.mui-table-view.project a").bind("tap", function() {
		var type = $(this).attr("data-type");
		GLOBAL.webView.open({
			url: "project-list",
			extras: {
				memberId: memberId,
				type: type
			}
		});
	});

	// 替换头像
	window.addEventListener("replaceHeadImg", function(e) {
		$(".mui-content>.mui-table-view.user div.l img").attr("src", e.detail.headImg);
	});

	// 更新个人信息数据
	window.addEventListener("replacePersonalData", function(e) {
		$("#nickname").html(e.detail.nickname);
	});

	$(".mui-content>.mui-table-view.setting a").bind("tap", function() {
		GLOBAL.webView.open({
			url: "setting",
			extras: {
				memberId: memberId
			}
		});
	});
}

function buildHtm(data) {
	var member = data.member;
	memberId = member.member_id;
	var headPic = member.head_pic;
	if (!headPic) {
		headPic = "../../img/member/default_head_img.png";
	} else {
		if (headPic.indexOf("/") === 0) {
			headPic = GLOBAL.SERVER_URL + headPic;
		}
	}
	$(".mui-content>.mui-table-view.user div.l img").attr("src", headPic);

	GLOBAL.token.set({
		headpic: headPic
	});

	$(".mui-content>.mui-table-view.user div.r span.nickname").html(member.nice_name);

	if (member.link_phone) {
		$(".mui-content>.mui-table-view.user div.r span.phone").html("手机号：" + member.link_phone);
	} else {
		$(".mui-content>.mui-table-view.user div.r span.phone").hide();
		$(".mui-content>.mui-table-view.user div.r span.nickname").css("line-height", "60px").css("font-size", "18px");
	}

	if (data.isProjectGroup) {
		$(".mui-content>.mui-table-view.audit div span:eq(1)").addClass("active");
	}
	if (data.isAdvertGroup) {
		$(".mui-content>.mui-table-view.audit div span:eq(0)").addClass("active");
	}
}

function loadData() {
	GLOBAL.AJAX({
		isWaiting:false,
		url: GLOBAL.SERVER_URL + "/ad/memberCenter",
		success_callback: function(response) {
			if (response.flag == "1") {
				buildHtm(response);
				ready();
			} else {
				ready();
			}
		}
	});
}

function noWifiShow(obj){
	$(obj).height($(window).height());
	$(obj).show();
	$(window).resize(function(){
		$(obj).height($(window).height());
	});
}

function ready() {
	bindClick();
	plus.webview.getLaunchWebview().evalJS("closeSplashscreen('member');");
}
mui.plusReady(function() {
	if (GLOBAL.getNetwork2()) {
		loadData();
	} else {
		noWifiShow($("#no-wifi"));
		plus.nativeUI.closeWaiting();
	
		GLOBAL.listenerNetwork(function(){
			loadData();
			$("#no-wifi").hide();
		},function(){
			noWifiShow($("#no-wifi"));
		});
	}
});