function noWifiShow(obj) {
	$(obj).height($(window).height() - 45);
	$(obj).show();
	$(window).resize(function() {
		$(obj).height($(window).height() - 45);
	});
}

function loadData(page, flag) {
	var ajaxUrl = '';
	if (parseInt(projectType) === 1) {
		ajaxUrl = '/ad/myIntentionList';
	} else if (parseInt(projectType) === 2) {
		ajaxUrl = '/ad/myFollowList';
	} else {
		ajaxUrl = '/ad/myProjectList';
	}
	GLOBAL.AJAX({
		url: GLOBAL.SERVER_URL + ajaxUrl,
		data: {
			curPage: page
		},
		success_callback: function(response) {
			if (response.flag == "1") {
				//判断是否还有下一页
				if (parseInt(response.page) > parseInt(response.total)) {
					page = -1;
				}
				//第一页下拉刷新关闭写上面
				if (page === 1) {
					goTopBar();
					closePullRefresh(page, flag);
				}
				if ((page === -1 && parseInt(response.page) <= 1) || page !== -1) {
					//加载data拼接html
					var htm = "";
					var projects = response.projects;
					if (projects.length > 0) {
						for (var i = 0; i < projects.length; i++) {
							htm += buildDataHtm(projects[i]);
						}
						if (parseInt(response.page) === 1) {
							if (mui.os.android) {
								$("body").css("height", "auto").css("overflow", "auto");
							}
							$("#list ul").html(htm);
						} else {
							$("#list ul").append(htm);
						}
						
						curPage = parseInt(response.page);
						//重置懒加载
						lazyImgs();
						//不是第一页上拉加载关闭写上面
						if (page !== 1) {
							closePullRefresh(page, flag);
						}
					} else {
						if (parseInt(projectType) === 0) {
							noWifiShow($("#no-wifi.project"));
						} else if (parseInt(projectType) === 1) {
							noWifiShow($("#no-wifi.intention"));
						} else {
							noWifiShow($("#no-wifi.follow"));
						}
						closePullRefresh(page, flag);
					}
				} else {
					closePullRefresh(page, flag);
				}
			} else {
				closePullRefresh(page, flag);
			}
		},
		error_callback: function() {
			closePullRefresh(page, flag);
		}
	});
}

function cancelGuanZhu(id, obj, event) {
	GLOBAL.stopClick(event);
	GLOBAL.AJAX({
		url: GLOBAL.SERVER_URL + "/ad/saveFollow",
		data: {
			project_id: id
		},
		success_callback: function(response) {
			if (response.flag == "1") {
				$(obj).parent().parent().remove();
				
				if($("#list ul li").length <= 0){
					if (parseInt(projectType) === 0) {
						noWifiShow($("#no-wifi.project"));
					} else if (parseInt(projectType) === 1) {
						noWifiShow($("#no-wifi.intention"));
					} else {
						noWifiShow($("#no-wifi.follow"));
					}
				}
				var op = response.op;
				var memberIndex = GLOBAL.webView.get("project/list.html");
				mui.fire(memberIndex, "updateGuanZhu", {
					proId: id,
					op: op
				});

				plus.nativeUI.toast(GLOBAL.TOAST_MSG.PROJECT.GUANZHU_CANCEL);
			}
		}
	});
}