function isUpdate(callback) {
	if (GLOBAL.getNetwork2()) {
		plus.runtime.getProperty(plus.runtime.appid, function(wgtinfo) {
			var currentVersion = wgtinfo.version;
			var data = {
				"type": 2,
				"version": currentVersion
			};
			$(".update span").html("v" + currentVersion);
			GLOBAL.AJAX({
				url: GLOBAL.SERVER_URL + "/update/wgtuUpdateCheck",
				data: data,
				success_callback: function(response) {
					if (response.flag == "1") {
						//是否有更新
						callback(response);
					}
				}
			});
		});
	}
}

function bindClick() {
	$(".mui-content>.mui-table-view.setting .about a").bind("tap", function() {
		GLOBAL.webView.open({
			url: "about"
		});
	});

	$(".mui-content>.mui-table-view.setting .feedback a").bind("tap", function() {
		GLOBAL.webView.open({
			url: "feedback"
		});
	});

	$(".mui-content>.mui-table-view.setting .update").bind("tap", function() {
		isUpdate(function(response) {
			if (response.hasNew) {
				plus.nativeUI.confirm("发现新版本，是否立刻更新！", function(e) {
					if (e.index === 0) {
						GLOBAL.update.update(response.update_url);
					}
				}, "", ["立即更新", "取　　消"]);
			} else {
				plus.nativeUI.toast("客户端已是最新版本");
			}
		});
	});

	$(".mui-content>.mui-table-view.loginout").bind("tap", function() {
		var pushInfo = plus.push.getClientInfo();
		var clientid = pushInfo.clientid;
		GLOBAL.AJAX({
			url: GLOBAL.SERVER_URL + "/webThirdparty/loginOut",
			data: "clientid=" + clientid,
			success_callback: function(response) {
				if (response.flag == "1") {
					GLOBAL.token.clear();
					GLOBAL.webView.open({
						url: "login"
					});
					plus.oauth.getServices(function(services) {
						for (var i in services) {
							var service = services[i];
								service.logout(function(e){
							}, function(e){});
						}
					});
					GLOBAL.webView.close();
				}
			}
		});
	});
}

function ready() {
	bindClick();
	isUpdate(function(response) {
		if (response.hasNew) {
			$(".update span").addClass("cur");
		}
	});
	plus.nativeUI.closeWaiting();
	GLOBAL.webView.get().show();
}
mui.plusReady(function() {
	ready();
});