var stepMsg = "";

function check() {
	var msg = "";
	var input = $("#nicknameinp").val();
	if (!input) {
		msg = "昵称" + GLOBAL.TOAST_MSG.VALIDATE.STR.NULL;
		return msg;
	} else if (input.length > 30) {
		msg = "昵称长度" + GLOBAL.TOAST_MSG.VALIDATE.STR.LEN_MAX + "30个字！";
		return msg;
	}
	return msg;
}

function stepFinish() {
	stepMsg = check();
	if (!stepMsg) {
		$("#update-nickname-btn").addClass("cur");
	} else {
		$("#update-nickname-btn").removeClass("cur");
	}
}

function saveNickName() {
	var input = $("#nicknameinp").val();
	GLOBAL.AJAX({
		url: GLOBAL.SERVER_URL + "/ad/updateMemberNiceName",
		data: "nice_name=" + input,
		success_callback: function(response) {
			if (response.flag == "1") {
				var memberIndex = GLOBAL.webView.get("member/index.html");
				mui.fire(memberIndex, "replacePersonalData", {
					nickname: input
				});

				var memberInfo = GLOBAL.webView.get("info");
				mui.fire(memberInfo, "replacePersonalData", {
					nickname: input
				});
				GLOBAL.webView.close();
			}
		}
	});
}

function bindClick() {
	$(".mui-bar .mui-btn.mui-pull-right").bind('tap', function() {
		stepMsg = check();
		if (!stepMsg) {
			saveNickName();
		} else {
			plus.nativeUI.toast(stepMsg);
		}
	});

	$("#nicknameinp").bind("input propertychange", function() {
		stepFinish();
	});

	var curView = GLOBAL.webView.get();
	var memberId = curView.memberId;
	var nickname = curView.nickname;
	$("#nicknameinp").val(nickname);

	GLOBAL.open_keyboard("nicknameinp");
}

function ready() {
	bindClick();
	plus.nativeUI.closeWaiting();
	mui.currentWebview.show();
}
mui.plusReady(function() {
	ready();
});