function bindClick() {
	$("#myproject").bind("tap", function() {
		GLOBAL.webView.open({
			url: "message",
			extras: {
				type: 1
			}
		});
	});

	$("#myquestion").bind("tap", function() {
		GLOBAL.webView.open({
			url: "message",
			extras: {
				type: 2
			}
		});
	});
	
	$("#sysmessage").bind("tap", function() {
		GLOBAL.webView.open({
			url: "sysmessage",
			extras: {
				type: 3
			}
		});
	});
}

function getBadgeNumber(key) {
	var key = "badge_" + key;
	var badge_key_number = plus.storage.getItem(key);
	if (badge_key_number !== 0 && badge_key_number !== null) {
		badge_key_number = parseInt(badge_key_number);
	} else {
		badge_key_number = 0
	}
	return badge_key_number;
}

function setBubble(num, flag) {
	var i = $("#" + flag + " i");
	if (num > 0) {
		var htm = num;
		var className = "len1";
		if (num > 10 && num <= 99) {
			className = "len2";
		} else if (num > 99) {
			className = "len3";
			htm = "99+";
		}
		i.html(htm).attr("class", "").addClass(className).show();
	} else {
		i.html("").attr("class", "").hide();
	}
}

function initMsgBubble() {
	var badgeSys = getBadgeNumber(GLOBAL.PUSH.BADGE.SYS.NUM_KEY + GLOBAL.token.get("user"));
	setBubble(badgeSys, "sysmessage");
	var badgeProject = getBadgeNumber(GLOBAL.PUSH.BADGE.MY_PROJECT.NUM_KEY + GLOBAL.token.get("user"));
	setBubble(badgeProject, "myproject");
	var badgeQuestion = getBadgeNumber(GLOBAL.PUSH.BADGE.MY_QUESTION.NUM_KEY + GLOBAL.token.get("user"));
	setBubble(badgeQuestion, "myquestion");
}

function ready() {
	bindClick();
	initMsgBubble();
	plus.webview.getLaunchWebview().evalJS("closeSplashscreen('message');");
//	var wi = '_www/src/img/common/loading';
//	if(mui.os.android){
//		var ah = plus.screen.resolutionHeight*plus.screen.scale;
//		if(ah > 1280){
//			wi = '_www/src/img/common/big_loading.png';
//		}else{
//			wi = '_www/src/img/common/loading.png';
//		}
//	}else{
//		wi = '_www/src/img/common/loading';
//	}
//	setTimeout(function(){
//		plus.nativeUI.showWaiting("", {
//			background: "rgba(0,0,0,0)",
//			loading: {
//				icon: wi
//			}
//		});
//	},1000);
}

function noWifiShow(obj){
	$(obj).height($(window).height());
	$(obj).show();
	$(window).resize(function(){
		$(obj).height($(window).height());
	});
}

mui.plusReady(function() {
	if (GLOBAL.getNetwork2()) {
		ready();
	} else {
		noWifiShow($("#no-wifi"));
		plus.nativeUI.closeWaiting();
	
		GLOBAL.listenerNetwork(function(){
			ready();
			$("#no-wifi").hide();
		},function(){
			noWifiShow($("#no-wifi"));
		});
	}
});