var isReady = true,
	curPage = 0,
	loadTimer = 0;

var MESSAGE_TYPE = {
	MEMBER_AUDI: "0", //账号审核
	PROJECTPUBLISH: "1", //项目发布
	INTENTIONREACH: "2", //意向达成
	EFFECTS: "3", //效果反馈
	EFFECTSREPLY: "4", //反馈回馈
}

function goTopBar() {
	mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
}

function closePullRefresh(page, flag) {
	if (window.plus) {
		if (isReady) {
			if (loadTimer !== 0) {
				clearTimeout(loadTimer);
			}
			// 渲染50ms
			loadTimer = setTimeout(function() {
				isReady = false;
				ready();
			}, 50);
		}
	}

	if (flag == "up") {
		if (page === -1) {
			if (!isReady) {
				plus.nativeUI.toast(GLOBAL.TOAST_MSG.NODATA);
			}
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			mui('#pullrefresh').pullRefresh().refresh(true);
		}
	} else {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
		mui('#pullrefresh').pullRefresh().refresh(true);
	}
}

function isBubbleShow(id, flag) {
	var bubble = false;
	var badge = plus.storage.getItem(flag + GLOBAL.token.get("user"));
	if (badge != null && badge.length > 0) {
		if (badge.indexOf(id) != -1) {
			bubble = true;
		}
	}
	return bubble;
}

function buildMyProjectHtm(data) {
	var toId = data.from_id;
	var adId = data.advert_space_id;
	var adTags = data.advert_product_type_name;
	var projectName = data.project_name;
	var projectPic = data.project_pic;
	var lastContent = data.last_content;

	if (projectPic.indexOf("/") === 0) {
		projectPic = GLOBAL.SERVER_URL + projectPic;
	}

	var htm = '';
	htm += '<li class="mui-table-view-cell project">';
	htm += '	<div class="items">';
	htm += '		<span class="bubble"></span>';
	htm += '		<img src="../../temp-img/project/1.jpg" alt="" />';
	htm += '		<div class="name">';
	htm += '			<span>漂洋过海只位对你说黑凤梨</span>';
	htm += '		</div>';
	htm += '		<span class="time">2016-02-29</span>';
	htm += '	</div>';
	htm += '</li>';
	return htm;
}

function buildTextHtm(data) {
	var toId = data.from_id;
	var adId = data.advert_space_id;
	var adTags = data.advert_product_type_name;
	var projectName = data.project_name;
	var projectPic = data.project_pic;
	var lastContent = data.last_content;

	if (projectPic.indexOf("/") === 0) {
		projectPic = GLOBAL.SERVER_URL + projectPic;
	}

	var htm = '';
	htm += '<li class="mui-table-view-cell project">';
	htm += '	<div class="items">';
	htm += '		<span class="bubble"></span>';
	htm += '		<img src="../../temp-img/project/1.jpg" alt="" />';
	htm += '		<div class="name">';
	htm += '			<span>漂洋过海只位对你说黑凤梨</span>';
	htm += '		</div>';
	htm += '		<span class="time">2016-02-29</span>';
	htm += '	</div>';
	htm += '</li>';
	return htm;
}

function buildText(memberId, sysMessageId, content, createTime, bubble) {
	var time = (new Date(createTime.FormatTime())).Format("yyyy-MM-dd hh:mm");
	var htm = '';
	htm += '<li onclick="removeBubble(this,' + sysMessageId + ')" data-badge-ids="' + sysMessageId + '" class="mui-table-view-cell text">';
	htm += '	<div class="mui-slider-right mui-disabled">';
	htm += '		<a class="mui-btn mui-btn-red" onclick="removeMsg(' + sysMessageId + ',this, event)">删除</a>';
	htm += '	</div>';
	htm += '	<div class="mui-slider-handle">';
	htm += '	<div class="items">';
	if (bubble) {
		htm += '	<span data-badge-ids="' + sysMessageId + '" class="bubble" style="display:block;"></span>';
	} else {
		htm += '	<span data-badge-ids="' + sysMessageId + '" class="bubble"></span>';
	}
	htm += '		<div class="name">';
	htm += '			<span>' + content + '</span>';
	htm += '		</div>';
	htm += '		<span class="time">' + time + '</span>';
	htm += '	</div>';
	htm += '	</div>';
	htm += '</li>';
	return htm;
}

function buildDataHtm(data, bubble) {
	var htm = '';
	var memberId = data.member_id;
	var sysMessageId = data.sysmessage_id;
	var sysmessageType = data.sysmessage_type;
	var messageContent = JSON.parse(data.message_content);
	var createTime = data.create_time;
	var notityTitle = messageContent.notityTitle;
	var notityText = messageContent.notityText;

	if (bubble === null) {
		bubble = isBubbleShow(sysMessageId, GLOBAL.PUSH.BADGE.SYS.ID_KEY);
	}

	if (sysmessageType == MESSAGE_TYPE.MEMBER_AUDI) {
		var niceName = messageContent.nice_name;
		var headPic = messageContent.head_pic;
		var status = messageContent.status;

		var sameFlag = messageContent.sameFlag;
		if (sameFlag == "true") {
			var sameMemberId = messageContent.same_member_id;
			var sameNiceName = messageContent.same_nice_name;
			var sameHeadPic = messageContent.same_head_pic;
			var content = GLOBAL.SYSMESSAGE.same(niceName, sameNiceName, true);
			htm = buildText(memberId, sysMessageId, content, createTime, bubble);

		} else {
			var statusName = "未通过";
			if (status == "1") {
				statusName = "已通过";
			}
			var content = "您的账号 “" + niceName + "” " + statusName + " 审核！";
			htm = buildText(memberId, sysMessageId, content, createTime, bubble);
		}
	} else if (sysmessageType == MESSAGE_TYPE.PROJECTPUBLISH) {
		var projectName = messageContent.project_name;
		var content = "您的 “" + projectName + "” 项目已发布成功！";
		htm = buildText(memberId, sysMessageId, content, createTime, bubble);
	} else if (sysmessageType == MESSAGE_TYPE.INTENTIONREACH) {
		var projectName = messageContent.project_name;
		var advertProductTypeName = messageContent.advert_product_type_name;
		var advertSpaceName = messageContent.advert_space_name;
		var statusName = messageContent.status_name;
		var content = "";
		if (advertSpaceName) {
			content = "您申请 “" + projectName + "” 项目 “" + advertSpaceName + "” 的意向 ";
		} else {
			content = "您申请 “" + projectName + "” 项目其他的意向  ";
		}
		content += statusName + " 审核";
		htm = buildText(memberId, sysMessageId, content, createTime, bubble);
	} else if (sysmessageType == MESSAGE_TYPE.EFFECTS) {
		var projectName = messageContent.project_name;
		var advertProductTypeName = messageContent.advert_product_type_name;
		var advertSpaceName = messageContent.advert_space_name;
		var content = "收到您申请 “" + projectName + "” 项目 “" + advertSpaceName + "” 的意向效果反馈！";
		htm = buildText(memberId, sysMessageId, content, createTime, bubble);
	} else if (sysmessageType == MESSAGE_TYPE.EFFECTSREPLY) {
		var projectName = messageContent.project_name;
		var advertProductTypeName = messageContent.advert_product_type_name;
		var advertSpaceName = messageContent.advert_space_name;
		var replyContent = messageContent.reply_content;
		var replyNiceName = messageContent.nice_name;
		var replyMemberId = messageContent.member_id;
		var replyMemberId = messageContent.member_id;
		var replyStatusName = messageContent.status_name;
		var content = "收到您 “" + projectName + "” 项目，赞助商 " + replyNiceName + " 申请的 “" + advertSpaceName + "” 意向的回馈 " + replyStatusName;
		if (replyStatusName == "未达成") {
			content += ",原因是：" + replyContent;
		}
		htm = buildText(memberId, sysMessageId, content, createTime, bubble);
	}
	return htm;
}

function sysMessagePushHandle(data) {
	data = JSON.parse(data);
	var memberId = data.member_id;
	var sysmessageId = data.sysmessage_id;
	var messageContent = data;
	var createTime = data.create_time;
	var sysmessageType = "";

	var bizSubType = data.biz_sub_type;
	if (bizSubType == GLOBAL.PUSH.BIZ.SYS_SUB.MEMBER.AUDI) {
		sysmessageType = "0";
	}

	var htmData = {
		member_id: memberId,
		sysmessage_id: sysmessageId,
		sysmessage_type: sysmessageType,
		message_content: JSON.stringify(messageContent),
		create_time: createTime
	}
	var htm = buildDataHtm(htmData, true);
	$("#list .mui-table-view-cell:first").before(htm);
}

function noWifiShow(obj) {
	$(obj).height($(window).height());
	$(obj).show();
	$(window).resize(function() {
		$(obj).height($(window).height());
	});
}