var imgLazyApi = null;
function lazyImgs() {
	if (imgLazyApi === null) {
		imgLazyApi = mui(document).imageLazyload({
			autoDestroy: false,
		});
	} else {
		imgLazyApi.refresh(true);
	}
}

function loadData() {
	var curView = GLOBAL.webView.get();
	var projectId = curView.projectId;
	var tit = curView.tit;
	var contents = curView.contents;
	$("#title").html(tit);
	$("#detail-content").html(contents);
	lazyImgs();
	ready();
}

function goIntention(id, name, money, projectName, haveIntention) {
	if (oneself) {
		plus.nativeUI.toast(GLOBAL.TOAST_MSG.PROJECT.NO_INTENTION);
		return;
	}
	if (haveIntention) {
		plus.nativeUI.toast(GLOBAL.TOAST_MSG.PROJECT.NO_ADVERT3);
		return;
	}
	GLOBAL.webView.open({
		url: "../adIntention/add",
		extras: {
			projectId: proId,
			tagsId: id,
			name: name,
			money: money,
			projectName: projectName
		}
	});
}

function ready() {
	plus.nativeUI.closeWaiting();
	mui.currentWebview.show();
}

mui.plusReady(function() {
	loadData();
});