function addViewNum() {
	GLOBAL.AJAX({
		isWaiting:false,
		url: GLOBAL.SERVER_URL + "/ad/saveProjectClick",
		data: "project_id=" + proId,
		success_callback: function(response) {
			if (response.flag == "1") {
				var showNumEl = $("#detail div.box-03 div.l span.show-num");
				var showNum = parseInt(showNumEl.html());
				showNum = showNum + 1;
				showNumEl.html(showNum);
				var memberIndex = GLOBAL.webView.get("project/list.html");
				mui.fire(memberIndex, "updateShowNum", {
					proId: proId,
					num: showNum
				});
			}
		}
	});
}

function loadData() {
	var curView = GLOBAL.webView.get();
	proId = curView.proId;
	tagId = curView.tagId;
	GLOBAL.show_debug("project-detail-para", proId + " " + tagId);
	GLOBAL.AJAX({
		isErrorClose: true,
		url: GLOBAL.SERVER_URL + "/ad/projectDetail",
		data: {
			project_id: proId
		},
		success_callback: function(response) {
			if (response.flag == "1") {
				GLOBAL.SHOW_WAITING();
				var detail = response;
				shareImg = detail.project_share_img;
				suffix = shareImg.substring(shareImg.lastIndexOf("."));
				shareImgName = shareImg.substring(shareImg.lastIndexOf("/") + 1, shareImg.lastIndexOf("."));
				shareImgName = "_doc/shareimg/project_" + detail.project_id + "_" + shareImgName + suffix;
				detail.project_share_img = shareImgName;
				buildDetail(detail);
				buildTags(detail.advertSpaces, detail.status);
				//cacTagsDesc();
				ready();
			} else {
				ready();
			}
		},
		error_callback: function() {
			ready();
		}
	});
}

function goIntention(id, name, money, projectName, haveIntention) {
	if (oneself) {
		plus.nativeUI.toast(GLOBAL.TOAST_MSG.PROJECT.NO_INTENTION);
		return;
	}
	if (haveIntention) {
		plus.nativeUI.toast(GLOBAL.TOAST_MSG.PROJECT.NO_ADVERT3);
		return;
	}
	GLOBAL.webView.open({
		url: "../adIntention/add",
		extras: {
			projectId: proId,
			tagsId: id,
			name: name,
			money: money,
			projectName: projectName
		}
	});
}

function guanzhuClick(obj) {
	if (!oneself) {
		GLOBAL.AJAX({
			url: GLOBAL.SERVER_URL + "/ad/saveFollow",
			data: {
				project_id: proId
			},
			success_callback: function(response) {
				if (response.flag == "1") {
					var op = response.op;
					var num = parseInt($(obj).html());
					if (op == "add") {
						$(obj).html(num + 1);
						$(obj).addClass("yiguanzhu");
						plus.nativeUI.toast(GLOBAL.TOAST_MSG.PROJECT.GUANZHU_SUCCESS);
					} else {
						$(obj).html(num - 1);
						$(obj).removeClass("yiguanzhu");
						plus.nativeUI.toast(GLOBAL.TOAST_MSG.PROJECT.GUANZHU_CANCEL);
					}

					var listPage = GLOBAL.webView.get("project/list.html");
					mui.fire(listPage, "updateGuanZhu", {
						proId: proId,
						op: op
					});

					var myFollow = GLOBAL.webView.get("project-list-data");
					mui.fire(myFollow, "updateGuanZhu", {
						proId: proId
					});

				}
			}
		});
	} else {
		plus.nativeUI.toast(GLOBAL.TOAST_MSG.PROJECT.NO_GUANZHU);
	}
}