var isShowSplashscreen = true;
var curPage = 0;
var imgLazyApi = null;
var loadTimer = 0;
var tempNum = 0;

function goTopBar() {
	mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);
}

function lazyImgs() {
	if (imgLazyApi === null) {
		imgLazyApi = mui(document).imageLazyload({
			autoDestroy: false,
		});
	} else {
		imgLazyApi.refresh(true);
	}
}

function closePullRefresh(page, flag) {
	if (window.plus) {
		if (isShowSplashscreen) {
			plus.webview.getLaunchWebview().evalJS("closeSplashscreen('list');");
			isShowSplashscreen = false;
		}
	}

	if (flag == "up") {
		if (page === -1) {
			if (!isShowSplashscreen) {
				plus.nativeUI.toast(GLOBAL.TOAST_MSG.NODATA);
			}
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
		} else {
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			mui('#pullrefresh').pullRefresh().refresh(true);
		}
	} else {
		mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
		mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
		mui('#pullrefresh').pullRefresh().refresh(true);
	}
}

function goDetail(id, tagId) {
	GLOBAL.webView.open({
		url: "detail",
		extras: {
			proId: id,
			tagId: tagId,
		}
	});
	//plus.webview.getLaunchWebview().evalJS("clicked('project/detail',{proId:" + id + ",tagId:" + tagId + "});");
}

function buildHtm(id, img, state, guanzhu, type, projectName, tags, timer, showNum, chat, haveFollow, oneself) {
	var guanzhuClassName = "guanzhu";
	if (haveFollow && !oneself) {
		guanzhuClassName += " yiguanzhu";
	}
	var htm = '';
	htm += '<li class="mui-table-view-cell" data-id="' + id + '">';
	htm += '	<div class="box-01" data-id="' + id + '" data-tag-id="-1" onclick="goDetail(' + id + ',-1)">';
	htm += '		<img data-lazyload="' + img + '" src="../../temp-img/project/not_find_img.png" cac="0"  />';
	htm += '		<span class="state"><em>' + state + '</em></span>';
	htm += '		<div class="img-desc">';
	htm += '			<span class="' + guanzhuClassName + '" onclick="guanzhuClick(' + id + ',' + haveFollow + ',' + oneself + ',event,this)">' + guanzhu + '</span>';
	htm += '			<span class="type">' + type + '</span>';
	htm += '		</div>';
	htm += '	</div>';
	htm += '	<div class="box-02" data-id="' + id + '" data-tag-id="-1"  onclick="goDetail(' + id + ',-1)">';
	htm += '		<h3>' + projectName + '</h3>';
	htm += '	</div>';
	htm += '	<div class="box-03">';
	var tagsShowMaxNum = 6;
	if (tags.length < tagsShowMaxNum) {
		tagsShowMaxNum = tags.length;
	}
	for (var i = 0; i < tagsShowMaxNum; i++) {
//		if (i > 0) {
			htm += '<span class="tag" data-id="' + id + '" data-tag-id="' + tags[i].advert_product_type_id + '" onclick="goDetail(' + id + ',' + tags[i].advert_product_type_id + ')" >' + tags[i].advert_product_type_name + '</span>';
//		} else {
//			htm += '<span class="tag active" data-id="' + id + '"  data-tag-id="' + tags[i].advert_product_type_id + '" onclick="goDetail(' + id + ',' + tags[i].advert_product_type_id + ')" >' + tags[i].advert_product_type_name + '</span>';
//		}
	}
	if (tags.length >= 6) {
		htm += '		<span class="more" onclick="goDetail(' + id + ',' + tags[0].advert_product_type_id + ')" ></span>';
	}
	htm += '	</div>';
	htm += '	<div class="box-04">';
	htm += '		<span class="timer">' + timer + '天</span>';
	htm += '		<span class="show-num">' + showNum + '</span>';
	htm += '		<span class="chat">' + chat + '</span>';
	htm += '	</div>';
	htm += '</li>';
	return htm;
}

function buildDataHtm(data) {
	var id = data.project_id;
	var img = data.project_pic;
	var state = data.status_name;
	var guanzhu = data.follow_num;
	var type = data.project_type_name;
	var projectName = data.project_name;
	var tags = data.advertProductTypeList;
	var timer = data.countdown_days;
	var showNum = data.click_num;
	var chat = data.message_num;
	var haveFollow = data.have_follow;
	var oneself = data.oneself;

	if (!img) {
		img = "../../temp-img/project/not_find_img.png";
	} else {
		if (img.indexOf("/") === 0) {
			img = GLOBAL.SERVER_URL + img;
		}
	}
	return buildHtm(id, img, state, guanzhu, type, projectName, tags, timer, showNum, chat, haveFollow, oneself);
}

function cacProjectImg() {
	var w = $(window).width();
	var imgh = w * (280 / 375);
	$("#list li div.box-01 img[cac='0']").each(function() {
		$(this).css("height", imgh).attr("cac", "1");
		$(this).parent().css("height", imgh);
	});
}

function bindClick() {
	// 更新关注
	window.addEventListener("updateGuanZhu", function(e) {
		var obj = $("#list li div.box-01[data-id='" + e.detail.proId + "'] .img-desc span.guanzhu");
		var num = parseInt($(obj).html());
		if (e.detail.op == "add") {
			$(obj).html(num + 1);
			$(obj).addClass("yiguanzhu");
		} else {
			$(obj).html(num - 1);
			$(obj).removeClass("yiguanzhu");
		}
	});
	
	// 更新浏览数
	window.addEventListener("updateShowNum", function(e) {
		var obj = $("#list li[data-id='" + e.detail.proId + "'] div.box-04 .show-num");
		$(obj).html(e.detail.num);
	});
}