		String.isNullOrEmpty = function(v)
		{
			///<summary>判断 v 是否是 undefined 或 null 或零长度字符串。语法：String.isNullOrEmpty(v)</summary>
			///<param name="v" type="any">要判断的变量或表达式。</param>
			///<returns type="boolean">v 是否是 undefined 或 null 或零长度字符串。</returns>
		    return (v === undefined || v === null || v === "");
		};


		String.prototype.equalsIgnoreCase = function(str)
		{
			///<summary>忽略大小写比较两个字符串是否相等并返回。语法：string1.equalsIgnoreCase(str)</summary>
			///<param name="str" type="string">要参与比较的另一字符串。</param>
			///<returns type="boolean">字符串是否忽略大小写相等。</returns>
		    return (this.toUpperCase() == str.toUpperCase());
		};
		
		Math.nextRandom = function(minValue, maxValue)
		{
			///<summary>产生一个随机整数并返回。语法：Math.nextRandom(minValue, maxValue)</summary>
			///<param name="minValue" type="integer">随机整数的下界（随机整数可取该下界值）。</param>
			///<param name="maxValue" type="integer">随机整数的上界（随机整数不能取该上界值）。</param>
			///<returns type="integer">产生的随机整数。</returns>
		    var min = parseInt(minValue);
		    var max = parseInt(maxValue) - 1;
		    return Math.floor(((max - min) + 1) * Math.random() + min);
		};
			
		(function($){
			$.fn.serializeJson=function(){
				var serializeObj={};
				var array=this.serializeArray();
				var str=this.serialize();
				$(array).each(function(){
					if(serializeObj[this.name]){
						if($.isArray(serializeObj[this.name])){
							serializeObj[this.name].push(this.value);
						}else{
							serializeObj[this.name]=[serializeObj[this.name],this.value];
						}
					}else{
						serializeObj[this.name]=this.value;
					}
				});
				return serializeObj;
			};
			
			$.fn.labelFor=function(){
				var label = this.find("label");
				$(label).each(function(){
					var forElement = $(this).prev();
					if (forElement && forElement.prop("tagName").equalsIgnoreCase("INPUT") && (forElement.prop("type").equalsIgnoreCase("checkbox") || forElement.prop("type").equalsIgnoreCase("radio")))
					{
						var id = forElement.id;
	                    if (String.isNullOrEmpty(id))
	                    {
	                        id = "szond_labelfor_" + Math.nextRandom(0, 999999999);
	                        forElement.prop("id",id);
	                    }
	                    $(this).attr("for",id);
					}
				});
			};
		})(jQuery);
		// http://www.cnblogs.com/hyl8218/archive/2013/06/27/3159178.html