var pwd_strength = function(id, o, callback) {
	_self = this;
	var check = function(obj) {
		var v = obj.val();
		_self.strength(v, callback);
	}
	var pwd_inp = $("#" + id);
	pwd_inp.after('<span class="temp-iconfont qiangdu" style="display:none">弱</span>');
	_self.init(o);
	pwd_inp.bind('input propertychange', function() {
		check($(this));
	});
}
pwd_strength.prototype = {
	show_em: null,
	show_color: {
		color_0: "#cccccc",
		color_1: "#FF0000",
		color_2: "#FF9900",
		color_3: "#33CC00"
	},
	charMode: function(i) {
		if (i >= 48 && i <= 57) //数字  
			return 1;
		if (i >= 65 && i <= 90) //大写  
			return 2;
		if (i >= 97 && i <= 122) //小写  
			return 4;
		else return 8;
	},
	bitTotal: function(num) {
		modes = 0;
		for (i = 0; i < 4; i++) {
			if (num & 1) modes++;
			num >>>= 1;
		}
		return modes;
	},
	checkStrong: function(sPW) {
		_self = this;
		if (sPW.length <= 4) return 0;
		Modes = 0;
		for (i = 0; i < sPW.length; i++) {
			Modes |= _self.charMode(sPW.charCodeAt(i));
		}
		return _self.bitTotal(Modes);
	},
	init:function(o){
		_self = this;
		_self.show_em = $("span.qiangdu");
		if (o.show_color) {
			_self.show_color = o.show_color;
		}
	},
	strength: function(pwd, callback) {
		var S_level = 0;
		if (pwd == null || pwd == '') {
			S_level = -1;
			this.show_em.hide();
		} else {
			S_level = _self.checkStrong(pwd);
			if (_self.show_em) {
				switch (S_level) {
					case 0:
						_self.show_em.css("color", _self.show_color.color_0);
					case 1:
						_self.show_em.css("color", _self.show_color.color_1);
						_self.show_em.html("弱");
						break;
					case 2:
						_self.show_em.css("color", _self.show_color.color_2);
						_self.show_em.html("中");
						break;
					default:
						_self.show_em.css("color", _self.show_color.color_3);
						_self.show_em.html("强");
						break;
				}
			}
			this.show_em.show();
		}
		if (callback) {
			callback(S_level);
		}
		return;
	}
}

function formatMobileOnInput(obj,id){
	var show_inp = $(obj);
	var hide_inp = $("#" + id);
	var format = new RegExp(" ", "g");
	var v = show_inp.val();
	v = v.replace(format, "");
	var newmobile = v;
	var vl = v.length;
	if (vl > 11) {
		newmobile = v.substring(0, 3) + " " + v.substring(3, 7) + " " + v.substring(7, 11);
		v = v.substring(0, 11);
	} else if (vl > 7) {
		newmobile = v.substring(0, 3) + " " + v.substring(3, 7) + " " + v.substring(7);
	} else if (vl > 3) {
		newmobile = v.substring(0, 3) + " " + v.substring(3);
	}

	show_inp.val(newmobile);
	hide_inp.val(v);
}

var formatMobile = function(id) {
	if (id) {
		var hide_inp = $("#" + id);
		hide_inp.after('<input id="formatMobile" type="text" placeholder="手机号" value="" oninput="formatMobileOnInput(this,\''+id+'\')"/>');
		hide_inp.attr("type", "hidden");
	}
}